1999-10-05  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (AC_PATH_XTRA): Correctly document the behaviour
	when X is not available.

1999-10-02  Akim Demaille  <demaille@inf.enst.fr>

	* acgeneral.m4: Instead of just undefining eval, format, include
	and shift, rename them to m4_eval, etc.

1999-09-29  Ben Elliston  <bje@cygnus.com>

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Check for the kstat_open()
	function in libkstat (on systems such as Solaris). This family of
	functions is preferred since they don't require setgid permissions
	to use them. Fix for autoconf/65.

1999-09-27  Ben Elliston  <bje@cygnus.com>

	* autoscan.pl (scan_files): Emit an AC_PROG_CC invocation to
	configure.scan if there are any C files present. Fix for
	autoconf/19.

1999-09-26  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_OUTPUT_LINKS): Eliminate gratuitous spaces from
	$ac_sources if this variable is otherwise empty. Fix for
	autoconf/30.

1999-09-25  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (AC_FUNC_SETVBUF): Do not mention which systems
	might have their setvbuf() arguments reordered. It's difficult to
	accurately determine and is not essential. Fix for autoconf/7.

	* acgeneral.m4 (AC_LINK_FILES): Emit an error if an incorrect
	number of arguments are collected. Fix for autoconf/10.

1999-09-24  Ben Elliston  <bje@cygnus.com>

	* acspecific.m4 (AC_HEADER_STDC): Define ISLOWER and ISUPPER
	macros correctly on EBCDIC systems. Contributed by Kurt D.
	Zeilenga <kurt@openldap.org>. Fix for autoconf/6.

1999-09-24  Jim Blandy  <jimb@zwingli.cygnus.com>

	* acspecific.m4 (AC_C_VOLATILE): New test.
	* acconfig.h: Add new entry for `volatile'.
	* autoconf.texi (C Compiler Characteristics): Document it.

1999-09-24  Ben Elliston  <bje@cygnus.com>

	* autoreconf.sh: Do not run autoheader if AC_CONFIG_HEADER is
	commented out in configure.in. Reported by Erez Zadok
	<ezk@cs.columbia.edu> as a fix for autoconf/21.

	* install.texi: Replace `can not' with `cannot'.

1999-09-22  Ben Elliston  <bje@cygnus.com>

	* config.guess: Clear the CCOPTS environment variable before
	invoking the C compiler on HP-UX. This is necessary to guarantee
	that the test program is compiled correctly. Reported by Dietmar
	P. Schindler <schd@mra.man.de>.

1999-09-22  Linas Vepstas  <linas@linas.org>

	* config.guess: Add OS/390 match pattern.
	* config.sub: Add mvs, openedition targets.

1999-09-21  Nick Clifton  <nickc@cygnus.com>

	* config.sub: Add fr30 target.

1999-09-21  Ben Elliston  <bje@cygnus.com>

	* configure.in: Check if an appropriate version of GNU m4 is
	installed at configure-time rather than at runtime. From Pavel
	Roskin <pavel_roskin@geocities.com>. Fix for autoconf/2.
	* configure: Regenerate.

1999-09-20  Ben Elliston  <bje@cygnus.com>

	* autoheader.sh: Bourne shell compatibility fix. From Pavel Roskin
	<pavel_roskin@geocities.com>.
	
1999-09-17  Ben Elliston  <bje@cygnus.com>

	* config.guess: Detect QNX version 4.
	* config.sub: Handle `qnx' and `i386-qnx' aliases.

1999-09-17  Erez Zadok  <ezk@cs.columbia.edu>

	* config.guess: Eliminate the trailing dot if ${UNAME_RELEASE} is
	1.4-<SOMETHING>. Fix for autoconf/22.

1999-09-15  Alexandre Oliva  <oliva@lsd.ic.unicamp.br>

	Fix for autoconf/28.
	* acgeneral.m4 (AC_OUTPUT_MAKE_DEFS): Don't assume LF is \012, use
	`echo` followed by a non-blank, within quotes.
	* autoheader.sh (syms): Likewise.
	* configure: Rebuilt.

1999-09-07  Ben Elliston  <bje@cygnus.com>

	* autoreconf.sh: Recognise -v as a synonym for --verbose.

1999-09-07  Gary V. Vaughan  <gvaughan@oranda.demon.co.uk>

	* Makefile.in (INSTALL, standards.info, autoconf.info):  MiKTeX
	for Windows treats all options after the first filename as
	additional filenames, so real options must appear before the first
	filename.

1999-09-07  Steven G. Johnson  <stevenj@alum.mit.edu>

	* autoconf.texi (LDFLAGS, LIBS): Document that -L linker flags
	should be kept in LDFLAGS and not LIBS.

1999-09-07  Jim Meyering  <meyering@ascend.com>

	* acgeneral.m4 (AC_SEARCH_LIBS): Use $ac_lib as the index, not $i.

1999-09-06  Ben Elliston  <bje@cygnus.com>

	* acspecific.m4 (AC_FUNC_ALLOCA): Rename cache variable to avoid
	name clashes with AC_CHECK_HEADER(alloca.h).

1999-09-05  Steve Chamberlain  <sac@pobox.com>

	* config.sub: Add support for configuring for picoJava (pj).

1999-09-05  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (CONFIG_AUX_DIRS): Try running `shtool install'.
	Contributed by Ralf S. Engelschall <rse@engelschall.com>.

1999-09-04  Ben Elliston  <bje@cygnus.com>

	* config.guess: Use POSIX compliant shell code on DG/UX.
	Suggested by Stephen Gildea <gildea@alum.mit.edu>.

1999-09-04  Pavel Roskin  <pavel_roskin@geocities.com>

	* acgeneral.m4 (AC_OUTPUT_FILES): Output comment to not only
	`Makefile', but also `makefile'.

1999-09-04  Jim Blandy  <jimb@zwingli.cygnus.com>

	* Makefile.in (install): Don't freak if the M4FROZEN files were
	never generated.  m4 1.1 is supported, but doesn't freeze files.

1999-09-04  Scott Bambrough  <scottb@netwinder.org>

	* config.guess: Autodetect ArmLinux using 2.9.1.xx linker
	emulation names and using the emulation names from the linker from
	the binutils CVS tree.

	* config.sub: Change manufacturer name for the NetWinder alias
	from Corel to Rebel.

1999-09-04  Jeremy Elson  <jelson@circlemud.org>

	* autoheader.m4 (AC_CHECK_HEADER): Define.

1999-08-28  Ben Elliston  <bje@cygnus.com>

	* config.guess: Once and for all, emit the correct string for
	Unixware 7! Contributed by Mike Hopkirk <hops@sco.com>.

	* acspecific.m4 (AC_C_INLINE): Qualify the return type of the
	dummy inlined function to satisfy newer C++ compilers. Fix for
	autoconf/49.

1999-08-26  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (Changed Results): Correct an error in one of the
	examples. Fix for autoconf/38.

1999-08-25  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (Cache Variable Names): Be more explicit about the
	requirements for cache variable names. Fix for autoconf/53.

1999-08-25  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* autoreconf.sh: Run aclocal with the -I option only if
	aclocal_dir != `.'.  Fix for autoconf/44.
	
1999-08-18  Ben Elliston  <bje@cygnus.com>

	* config.guess: Remove "/MP" from the release string on
	multiprocessor x86 machines running SVR4.0. Suggested by Tom
	Purcell <Tom.Purcell@wang.com>.

1999-08-16  Kaveh R. Ghazi  <ghazi@caip.rutgers.edu>

	* acgeneral.m4 (AC_CHECK_TYPE): Add optional third argument
	INCLUDES, which specifies the headers in which to search for the
	type in question. Also, pass a "description" argument to
	AC_DEFINE_UNQUOTED.
	* acconfig.h (mode_t, off_t, pid_t, size_t): Remove definitions.
	* autoconf.texi (AC_CHECK_TYPE): Document optional third argument.

1999-08-05  Jeffrey A Law  <law@cygnus.com>

	* config.sub (-wrs case): Use os=-vxworks, not os=vxworks.

1999-08-05  Ben Elliston  <bje@cygnus.com>

	* config.guess: Update patch submission address.

1999-08-05  Ben Elliston  <bje@cygnus.com>

	* config.sub: Accept version number appended to OS name for MiNT.
	Contributed by Guido Flohr <gufl0000@stud.uni-sb.de>.

1999-08-04  Ben Elliston  <bje@cygnus.com>

	* Makefile.in (INSTALL_SCRIPT): Substitute.
	(install): Install scripts with $(INSTALL_SCRIPT).

1999-07-11  Ben Elliston  <bje@cygnus.com>

	* config.guess: Cray T3E has an Alpha CPU.

1999-07-04  Mark Elbrecht  <snowball3@bigfoot.com>

	* acspecific.m4 (AC_PROG_CXX): Look for gpp after g++. gpp is the
	DJGPP C++ compiler, since `g++' is not a valid DOS filename.

1999-06-12  Ben Elliston  <bje@cygnus.com>

	* config.guess: Detect Linux on ia64.
	* config.sub: Handle ia64.

1999-06-12  Ben Elliston  <bje@cygnus.com>

	* config.guess: Handle `elf32ppclinux' from ld. Contributed by
	Cort Dougan <cort@cs.nmt.edu>.

1999-06-04  Nick Clifton  <nickc@cygnus.com>

	* config.sub: Add mcore target.

1999-06-03  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_ACVERSION): Correct version number.
	* autoconf.texi (EDITION): Likewise.
	(VERSION): Likewise.

1999-05-27  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* acgeneral.m4 (AC_CHECK_LIB): Translate the ":" character to a
	"_", which allows checking for member functions in C++ libraries.

1995-05-25  H.J. Lu  <hjl@gnu.org>

	* config.guess (dummy): Changed to $dummy.

1999-05-22  Ben Elliston  <bje@cygnus.com>

	* config.guess: Handle NEC UX/4800. Contributed by Jiro Takabatake
	<jiro@din.or.jp>.

1999-05-17  Ben Elliston  <bje@cygnus.com>

	Merge with the EGCS source tree.

	* config.guess: Add detection for Interix and UWIN on Windows NT,
	OpenBSD on PA-RISC and UnixWare version 7.x.
	Improve usage of `tr' where sets are concerned.
	Detect all HP 9000 machines.
	Determine machine types more completely on older UnixWare systems.
	Determine C library version on GNU/Linux for the PowerPC.
	* config.sub: Numerous additions. Some cleanup.

1999-04-29  Ben Elliston  <bje@cygnus.com>

	* config.sub: Handle `t3e' alias for Cray T3E. Contributed by
	James A. Lupo <lupoja@feynman.ml.wpafb.af.mil>.

1999-04-17  Paul Eggert  <eggert@twinsun.com>

	* autoconf.texi, acspecific.m4 (AC_FUNC_MKTIME): New macro.
	taken from automake's AM_FUNC_MKTIME.
	* acfunctions: mktime now belongs to AC_FUNC_MKTIME.

1999-04-19  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* acgeneral.m4 (AC_TRY_LINK_FUNC): Add support for Fortran 77.

1999-04-11  Philipp Thomas  <kthomas@gwdg.de>

	* config.sub: Set basic_machine to i586 when target_alias = k6-*.

1999-04-11  Pavel Roskin  <pavel_roskin@geocities.com>

	* autoheader.m4: Do not complain about using AC_TRY_RUN without a
	cross-compilation action--only autoconf should do this.

1999-04-11  Paul Eggert  <eggert@twinsun.com>

	* acgeneral.m4 (AC_CHECK_TYPE): Allow first argument to be a
	shell variable.

1999-04-11  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_C_STRUCT_MEMBER): New macro.
	* acspecific.m4 (AC_STRUCT_TIMEZONE): Rewrite in terms of
	AC_C_STRUCT_MEMBER.
	(AC_STRUCT_ST_BLOCKS): Likewise.
	(AC_STRUCT_ST_BLKSIZE): Likewise.
	(AC_STRUCT_ST_RDEV): Likewise.
	* autoconf.texi (Structures): Update. Add menu for subnodes.
	(Particular Structures): New node.
	(Generic Structures): New node.
	(AC_C_STRUCT_MEMBER): Document.

1999-04-10  Ben Elliston  <bje@cygnus.com>

	* mkinstalldirs: Add `-m' flag to specify the mode of a newly
	created directory. Add command line usage and `-h', `--help'
	options. Contributed by Jeff Garzik <jgarzik@pobox.com>.
	
1999-04-08  Ben Elliston  <bje@cygnus.com>

	* acspecific.m4 (AC_PROG_CC): Try using the `cl' C compiler under
	Cygwin. Contributed by Scott Stanton <stanton@scriptics.com>.
	
	* config.sub: Handle MPE/iX.

1999-04-07  Ben Elliston  <bje@cygnus.com>

	* config.guess: Add more CLIX machines. From Thomas Dickey.

1999-04-06  Ben Elliston  <bje@cygnus.com>

	* config.guess: Avoid the possibility of `ld' on GNU/Linux systems
	being something other than the GNU linker (such as a directory, in
	the case of GNU binutils).

1999-04-05  Ben Elliston  <bje@cygnus.com>

	* config.sub: Add modern Alpha processors. Reorganise.

	* acspecific.m4 (AC_CYGWIN): Do not remove conftest*; let
	AC_TRY_COMPILE clean up after itself.
	(AC_MINGW32): Likewise.
	(AC_EMXOS2): Likewise.

	* acspecific.m4 (AC_EMXOS2): New macro. Contributed by Ryuji Abe
	<raeva@t3.rim.or.jp>.
	(AC_EXEEXT): Handle case for OS/2.
	(AC_PROG_CC_WORKS): Show $CPPFLAGS when running the compiler.
	(AC_PROG_CXX_WORKS): Likewise.

	* autoconf.texi (AC_EMXOS2): Document.
	(AC_EXEEXT): Mention OS/2.
	(AC_MINGW32): Move.
	(UPDATED): Update.

1999-04-02  Mike Stump  <mrs@wrs.com>

	* acgeneral.m4 (AC_ARG_PROGRAM): Remove spaces, as there is one
	more pass through sh than you think.

1999-04-01  Ben Elliston  <bje@cygnus.com>

	* standards.texi: Update from FSF.

	* acspecific.m4 (AC_PROG_INSTALL): Avoid using the installation
	script belonging to HP `pwplus' when running the install
	program. Contributed by Steven G. Johnson <stevenj@alum.mit.edu>
	and Dave Adams <adams@hpesdwa.fc.hp.com>.
	(AC_EXEEXT): Do not consider `.xcoff' as a possible executable
	filename extension. Contributed by Robert S. Maier
	<rsm@math.arizona.edu>.

1999-03-28  Tom Tromey  <tromey@cygnus.com>

	* autoconf.texi (AC_OUTPUT_COMMANDS): Add to macro index.

1999-03-22  Ben Elliston  <bje@cygnus.com>

	* config.guess: Rename BUILD_CC to CC_FOR_BUILD; there is a
	precedent for the usual name of this environment variable.

1999-03-22  Pavel Roskin  <pavel_roskin@geocities.com>

	* autoheader.sh: Report an error if AC_CONFIG_HEADER is not
	present in the configure input file.

1999-03-21  Ben Elliston  <bje@cygnus.com>

	* config.guess: Correct typo for detecting ELF on FreeBSD.

1998-03-14  Alexandre Oliva  <oliva@dcc.unicamp.br>
	
	* config.guess: Recognise HP 9000/8x0 machines.

1999-03-11  Ben Elliston  <bje@cygnus.com>

	* config.sub: Recognise hppa2.0w. Contributed by Erez Zadok
	<ezk@cs.columbia.edu>.

1999-03-11  Pavel Roskin  <pavel_roskin@geocities.com>

	* config.guess: Prefer $HOST_CC over $CC when deciding on a C
	compiler to compile stub programs. Allow this to be overridden
	with the value of $BUILD_CC in cross-compilation environments
	where the native compiler must be used for running tests on the
	host.
		
1999-03-11  Ben Elliston  <bje@cygnus.com>

	* config.guess: Recognise MiNT and TOS on Atari machines.
	Contributed by Guido Flohr <gufl0000@stud.uni-sb.de>.

	* config.sub: Add aliases for MiNT.
	
1999-03-10  Ben Elliston  <bje@cygnus.com>

	* config.guess: Recognise HP 9000/800. Merged from the master
	FSF version of this file.

1999-03-01  Gordon Matzigkeit  <gord@trick.fig.org>

	* acgeneral.m4 (AC_OUTPUT_MAKE_DEFS): Don't require that macro
	symbols be valid C identifiers.

1999-02-28  Ben Elliston  <bje@cygnus.com>

	* acspecific.m4 (AC_FUNC_VFORK): Allow test to behave correctly
	when $ac_cv_func_vfork_works is the empty string. Contributed by
	<red@nym.alias.net>.

	* config.sub: Add `oskit' as a basic system type. From Godmar Back
	<gback@cs.utah.edu>.

1999-02-26  Ben Elliston  <bje@cygnus.com>

	* install-sh: Avoid trailing whitespace.

	* autoscan.pl (parse_args): Make compatible with Perl version 4.

1999-02-24  Ben Elliston  <bje@cygnus.com>

	* config.guess: Detect LynxOS 3.x. Contributed by Giuseppe
	Guerrini <guisguerrini@racine.ra.it>.

1999-02-23  Ben Elliston  <bje@cygnus.com>

	* config.guess: Detect ReliantUNIX on MIPS. Contributed by Andrej
	Borsenkow <borsenkow.msk@sni.de>.
	Also remove random trailing whitespace.

1999-02-22  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (System Services): Explain the semantics of the
	AC_SYS_RESTARTABLE_SYSCALLS macro in greater detail. Suggested by
	Franc,ois Pinard <pinard@iro.umontreal.ca>.

1999-02-22  Stu Grossman  <grossman@cygnus.com>

	* acgeneral.m4 (AC_CANONICAL_SYSTEM): Explicitly require
	AC_CANONICAL_HOST, AC_CANONICAL_TARGET and AC_CONICAL_BUILD.
	(AC_CONFIG_AUX_DIR): Run auxillary shell scripts through $SHELL.
	Do not rely on their magic number.
	(AC_CANONICAL_THING): New macro. Cache results.
	(AC_CANONICAL_HOST): Reimplement; use AC_CANONICAL_THING.
	(AC_CANONICAL_TARGET): Likewise.
	(AC_CANONICAL_BUILD): Likewise.
	(AC_OUTPUT): Use $SHELL.
	(AC_OUTPUT_SUBDIRS): Likewise.

1999-02-19  Ben Elliston  <bje@cygnus.com>

	* config.guess: Make C code clean for C++ compilers. Contributed
	by Markus Oberhumer <markus.oberhumer@jk.uni-linz.ac.at>.

1999-02-19  Ben Elliston <bje@cygnus.com>
	
	* config.guess: Automatically recognise ELF on FreeBSD. From Niall
	Smart and improved by Andrew Cagney.

1999-02-19  Felix Lee  <flee@cygnus.com>

	* acgeneral.m4 (AC_CACHE_VAL): Don't need backticks. This is a
	performance enhancement for about a 5% reduction in the runtime of
	the generated configure script.

1999-02-18  Ben Elliston  <bje@cygnus.com>

	* config.guess: Detect NEC EWS4800. Contributed by Koji Arai
	<JCA02266@nifty.ne.jp>.

1999-02-11  Ben Elliston  <bje@cygnus.com>

	* standards.texi: Update from FSF.

1999-02-10  Tom Tromey  <tromey@cygnus.com>

	* acgeneral.m4 (AC_CACHE_LOAD): Avoid sourcing special files.
	Works around bug in some versions of bash.

1999-02-02  Pavel Roskin  <pavel_roskin@geocities.com>

	* autoconf.texi: Corrected definitions for AC_CONFIG_AUX_DIR and
	AC_PROG_F77. Duplicated descriptions for AC_SEARCH_LIBS and
	AC_TRY_LINK_FUNC removed.

1999-01-29  Ben Elliston  <bje@cygnus.com>

	* acspecific.m4 (AC_EXEEXT): Ignore C++ source files.

1999-01-28  Gary V. Vaughan  <gvaughan@oranda.demon.co.uk>

	* acspecific.m4 (AC_PROG_INSTALL): set INSTALL_SCRIPT to
	${INSTALL} so that automake doesn't propogate install time flags
	for INSTALL_PROGRAM into INSTALL_SCRIPT.
	
1999-01-25  Ben Elliston  <bje@cygnus.com>

	* install-sh: Use $mkdirprog, not `mkdir' directly. Contributed by 
	Jeff Garzik <jgarzik@pobox.com>.

	* Makefile.in (clean mostlyclean distclean maintainer-clean):
	Remove .m4f files.

	* config.guess: Synchronise with master FSF version. Add detection
	for HP MPE/iX.

	* config.sub: Likewise.

1999-01-23  Ben Elliston  <bje@cygnus.com>

	* config.guess: Catch more NILE system models. Contributed by
	Akim Demaille <demaille@inf.enst.fr> and probably Graham Jenkins.

	* autoheader.sh: Force $tmpout to close to avoid Windows file
	sharing conflicts. From Mark Elbrecht <snowball3@usa.net>.

1999-01-21  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (Introduction): Update bug reporting address.

	* config.guess: Likewise.

1999-01-19  Pavel Roskin  <pavel_roskin@geocities.com>

	* ifnames.sh: Source lines ending with backslash are prepended to
 	the following line before further processing.

1999-01-19  Ben Elliston  <bje@cygnus.com>

	* acspecific.m4 (AC_PROG_CXXCPP): Substitute @CXXCPP@ correctly
	when $CXXCPP is overridden in the supervisory shell. Contributed
	by Michael Schoene <mrs@mlc.de>.

1999-01-16  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_ACVERSION): Bump to 2.14.1 for prereleases.

1999-01-14  Scott Bambrough  <scottb@corelcomputer.com>

	* config.guess: Recognise armv[234][lb] types (ie. `armv*').
		
1999-01-13  Ben Elliston  <bje@cygnus.com>

	* autoconf.sh: Remove -v and --verbose from the command line usage
	help. They do not exist.

1999-01-12  Scott Bambrough  <scottb@corelcomputer.com>

	* config.sub: Recognize armv[234][lb] types (ie. `armv*'). Add
	alias for the NetWinder; set company to `corel'.

1999-01-11  Akim Demaille  <demaille@inf.enst.fr>

	* autoreconf.sh (verbose): use either `:' or `echo'.
	(aclocal_m4): Renamed from aclocal.
	(aclocal_flags): New var.
	Run aclocal using $aclocal_flags.
	Redirect ls' stderr to /dev/null to avoid spurious messages.

1999-01-11  Ben Elliston  <bje@cygnus.com>

	* config.guess: Detect HP-UX on MPE/iX machines.

	* acgeneral.m4 (AC_ACVERSION): Increment to 2.14.

	* autoconf.texi (EDITION): Likewise.
	(VERSION): Likewise.

1999-01-10  Ben Elliston  <bje@cygnus.com>

	* config.guess: Detect Rhapsody on PowerPC and other machines.
	Contributed by Wilfredo Sanchez <wsanchez@apple.com>.
	
	* config.sub: Add rhapsody and openstep aliases.

1999-01-09  Ben Elliston  <bje@cygnus.com>

	* Makefile.in (html): New target. Generate HTML documentation.
	(install-strip): Add.
	Contributed by Wilfredo Sanchez <wsanchez@apple.com>.
	
	* autoconf.texi (AC_CHECK_LIB): Explain more. Contributed by Bob
	Friesenhahn <bfriesen@simple.dallas.tx.us>.
	(UPDATED): Bump to 1999.

	* config.guess: Distinguish between OpenStep and NeXTStep
	platforms. Contributed by Wilfredo Sanchez <wsanchez@apple.com>.

1999-01-09  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* acgeneral.m4 (AC_CHECK_FUNC): Don't actually call the function.
	
1999-01-09  H.J. Lu  <hjl@lucon.org>

	* config.guess: Permit multiple concurrent instances by including
	the process ID of the shell running this script in temporary
	filenames.
		
1999-01-08  Ben Elliston  <bje@cygnus.com>

	* autoconf.sh: More useful and up-to-date help from the --help
	option. Contributed by Akim Demaille <demaille@inf.enst.fr>.

	* autoheader.sh: Likewise.

	* autoreconf.sh: Likewise.

	* autoscan.pl: Likewise.

	* autoupdate.sh: Likewise.

	* ifnames.sh: Likewise.

	* config.guess: Detect Cray T3E and NEC SX-4, SX-5 machines.
	Contributed by Andreas Schott <schott@rzg.mpg.de>.

1999-01-06  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (AC_OBJEXT): Correct documentation.

1999-01-05  Ben Elliston  <bje@cygnus.com>

	* Version 2.13.

1999-01-04  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (AC_CHECK_FILE): Document.
	(AC_CHECK_FILES): Likewise.
	(AC_SEARCH_LIBS): Likewise.
	(AC_FUNC_SELECT_ARGTYPES): Use Jeff Garzik's version.
	(AC_C_STRINGIZE): Likewise.
	(AC_CYGWIN): Document.
	(AC_EXEEXT): Likewise.
	(AC_OBJEXT): Likewise.
	(AC_MINGW32): Likewise.
	(AC_TRY_LINK_FUNC): Likewise.
	(AC_VALIDATE_CACHED_SYSTEM_TUPLE): Likewise.
	
1999-01-01  Ben Elliston  <bje@cygnus.com>

	* NEWS: Update.

	* acspecific.m4 (AC_PROG_CXX_WORKS): Specify an explicit return
	type for `main' to keep modern C++ compilers happy.

1998-12-28  Jeff Garzik  <jgarzik@pobox.com>

	* autoconf.texi:
	  (AC_SEARCH_LIBS, AC_CHECK_FILE, AC_CHECK_FILES,
	   AC_TRY_LINK_FUNC): Document.
	  (AC_CHECK_LIB): Indicate the absence of
	  	action-if-not-found will not kill default action.
	  (AC_SYS_INTERPRETER): Alphabetize with rest of section,
	  	s/ac_cv_sys_interpreter/interpval/

	* acgeneral.m4:
	  (AC_TRY_LINK_FUNC): Fix arg transposition.
	  (AC_SEARCH_LIBS): Require autoconf 2.13, add other-libs arg.
	  (AC_CHECK_FILES): Add underscore to HAVE_file define.

	* acspecific.m4:
	  (AC_SYS_INTERPRETER): New shell var 'interpval' stores
	  	internal var ac_cv_sys_interpreter.

1998-12-27  Ben Elliston  <bje@cygnus.com>

	* autoconf.texi (AC_PROG_INSTALL): Update.
	(AC_FUNC_ALLOCA): Correct code fragment.
	(AC_FUNC_SELECT_ARGTYPES): Document.
	(AC_C_STRINGIZE): Likewise.
	(AC_VALIDATE_CACHED_SYSTEM_TUPLE): Likewise.
	
	* acspecific.m4 (AC_CYGWIN): Rename from `AC_CYGWIN32'.
	(AC_CYGWIN32): Warn about deprecated usage. Forward to AC_CYGWIN.

	* config.sub: Drop `32' from `Cygwin32'.

	* config.guess: Likewise.
	Handle BSD/OS variants for non-x86 machines. Contributed by Chris
	P. Ross <cross@uu.net>.

	* NEWS: Update.

	* configure: Rebuild.
	
1998-12-26  Ben Elliston  <bje@cygnus.com>

	* autoreconf.sh (stamp): Add missing quote.

	* mkinstalldirs: Write output which is not diagnostic to standard
	output and not standard error. Suggested by Steve Robbins
	<steve@nyongwa.montreal.qc.ca>.

1998-12-11  Matthew D. Langston  <langston@SLAC.Stanford.EDU>
	
	* acconfig.h, acgeneral.m4, acspecific.m4, autoconf.texi: Change
	all of the Fortran 77 code to use the new `F77' prefix instead of
	the older `FC' prefix.

1998-12-11  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_ACVERSION): Bump to 2.13.

	* autoconf.texi (EDITION): Likewise.
	(VERSION): Likewise.

1998-10-30  Jeff Garzik <jgarzik@pobox.com>

	* autoconf.texi: Document AC_CACHE_LOAD and AC_CACHE_SAVE. Explain
	how AC_CACHE_SAVE can be used as a means of syncing the cache to
	disk prior to doing something potentially fatal in configure.

1998-10-29  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* autoreconf.sh: Support several automake command line options,
	and run aclocal and automake when needed. Also, create stamp files
	just like automake's Makefiles would do for config headers.
	Additional contributions from Tom Tromey <tromey@cygnus.com>.
	
1998-10-24  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

	* acgeneral.m4 (AC_LANG_FORTRAN77): Remove [] (i.e. the m4 quotes)
	since it was confusing the testsuite.  Also make `f77' the default
	for FC, otherwise the testsuite fails.

	* autoconf.texi (Fortran 77 Compiler Characteristics): Added new
	node documenting the new AC_F77_LIBRARY_LDFLAGS macro.

	* acspecific.m4 (AC_F77_LIBRARY_LDFLAGS): New macro to determine
	the linker flags (e.g. `-L' and `-l') for the Fortran 77 intrinsic
	and run-time libraries.

1998-10-24  Ben Elliston  <bje@cygnus.com>

	* acspecific.m4 (AC_FUNC_SELECT_ARGTYPES): New macro. Detects the
	types of formal arguments to select(). Contributed by Lars Hecking
	<lhecking@nmrc.ucc.ie>.

	* acconfig.h (SELECT_TYPE_ARG1): Add.
	(SELECT_TYPE_ARG234): Likewise.
	(SELECT_TYPE_ARG5): Likewise.

	* config.guess: Hide warnings emitted by the HP linker when
	generating a PA 2.0 object file. Contributed by Marcus Thiessel
	<marcus@xemacs.org>.
	
1998-10-20  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_LANG_RESTORE): Fix a typo spotted by Noah
	Elliott <elliott@hera.llnl.gov>.

1998-10-09  Tom Tromey  <tromey@cygnus.com>

	* Makefile.in (autoconf.m4f): New target.
	(autoheader.m4f): Likewise.

1998-10-08  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_TRY_LINK_FUNC): Fix macro ordering.

Sun Oct  4 21:57:20 1998  Tom Tromey  <tromey@cygnus.com>

	* autoconf.texi (Defining Symbols): Documented third argument to
	AC_DEFINE.
	* autoheader.m4 (AC_DEFINE_UNQUOTED): Generate `verbatim'
	assignment if third argument given.
	(AC_DEFINE): Likewise.
	* acgeneral.m4 (AC_DEFINE): Handle case where $# is 3.
	(AC_DEFINE_UNQUOTED): Likewise.
	* autoheader.sh: Echo $verbatim if not empty.

1998-10-03  Ben Elliston  <bje@cygnus.com>

	* acconfig.h (FC_NO_MINUS_C_MINUS_O): Add to complete the Fortran
	77 support.

	* README: Update bug reporting address. Include maintainer info.

1998-10-02  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_VALIDATE_CACHED_SYSTEM_TUPLE): New macro. This
	macro can be used to ensure that a configure script will not run
	on a second system without removing the cache and re-running
	configure. Contributed by Alexandre Oliva <oliva@dcc.unicamp.br>.

1998-09-29  Ben Elliston  <bje@cygnus.com>

	* acgeneral.m4 (AC_SEARCH_LIBS): New macro. Searches a series of
	libraries for a given function. Contributed by Jim Blandy
	<jimb@cygnus.com>.
	(AC_TRY_LINK_FUNC): New macro. Again, from Jim.

1998-09-28  Ben Elliston  <bje@cygnus.com>

	* config.guess: Detect multiprocessor DC/OSx running on Pyramid
	MIServer machines.  Contributed by Graham K. Jenkins
	<Graham.K.Jenkins@corpmail.telstra.com.au>.

	* acgeneral.m4 (AC_CHECK_PROG): Fix a bug if the supplied path
	contains colons. This was observed with some versions of NetBSD
	`sh' and some versions of `bash'.
	(AC_PATH_PROG): Likewise. Contributed by Tom Yu <tlyu@mit.edu>.

1998-09-27  Ben Elliston  <bje@cygnus.com>

	* Makefile.in (all): Generate frozen .m4 files at build time.
	(install): Do not freeze .m4 files. Install pre-frozen .m4f files
	using $(INSTALL_DATA).
	(.m4.m4f): Freeze files if m4 supports stored internal state.
	Contributed by Karl Heuer <kwzh@gnu.org>.
	
	* install-sh: Import latest version from the FSF.

	* mkinstalldirs: Likewise.

	* config.guess: Apply the sysconf(2) test to HP 9000/600-series,
	9000/802, 9000/804 and 9000/892 machines.  Contributed by Pavel
	Roskin <pavel.roskin@ecsoft.co.uk>.
	Detect UnixWare 7.  Contributed by Paul Gampe <paulg@apnic.net>.

	* acspecific.m4 (AC_PROG_INSTALL): Substitute `INSTALL_SCRIPT'.
	Contributed by Franc,ois Pinard <pinard@iro.umontreal.ca>.
	(AC_C_STRINGIZE): New macro to test the availability of the
	stringizing operator in the C preprocessor. Contributed by Arnold
	Robbins <arnold@gnu.org> on behalf of the GNU AWK project.

	* acconfig.h (HAVE_STRINGIZE): Add for the AC_C_STRINGIZE macro.
		
	* testsuite/Makefile.in (check): If DejaGNU is not installed,
	print a warning and skip the `dejacheck' target (which will fail).
	(site.exp): Use tests to guard commands from generating error
	messages if `site.exp' or `site.bak' do not exist. Contributed by
	Karl Heuer <kwzh@gnu.org>.
	(dejacheck): Remove unused target.
	
1998-09-26  Ben Elliston  <bje@cygnus.com>

	* texinfo.tex: Import latest version from the FSF.

	* config.guess: Treat all SPARC variant processors running BSD/OS
	as just `sparc' for compatibility reasons.  Contributed by Chris
	Torek <torek@bsdi.com>.

	* acgeneral.m4 (AC_CHECK_FILE): New macro. Checks for the
	existence of a file in the file system (native only).
	Contributed by Ken Raeburn <raeburn@cygnus.com>.
	(AC_CHECK_FILES): Likewise.

1998-09-15  Didier Verna  <verna@inf.enst.fr>

	* acspecific.m4 (AC_PATH_XTRA): use X_EXTRA_LIBS add-on libraries 
	in the test for libICE. It is needed at least under Solaris.

1998-09-15  Ben Elliston  <bje@cygnus.com>

	* config.guess: Handle strange processor ID assignments on AIX
	machines.  Contributed by Didier Desseaux <didess@infonie.fr>.

Sat Sep 12 16:25:00 1998  Aaron Crane  <aaronc@pobox.com>

	* acgeneral.m4 (AC_CHECK_TYPE): Changed the egrep regex to avoid
	incorrectly assuming that if foobar_t is defined, then so is
	bar_t.

Tue Sep  8 14:06:04 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

        * acgeneral.m4: Make the following macros Fortran 77 aware
        (i.e. conditionalize whether to `#include "confdefs.h"', etc.):
        (AC_TRY_COMPILE)
        (AC_TRY_LINK)
        (AC_CHECK_LIB)

        * acgeneral.m4 (AC_LANG_FORTRAN77): Rename `AC_LANG_FORTRAN' to
        `AC_LANG_FORTRAN77'.  Change the Fortran 77 language macro from
        `FORTRAN' to `FORTRAN77'.
        (AC_LANG_RESTORE): Change the Fortran 77 language macro from
        `FORTRAN' to `FORTRAN77'

        * autoconf.texi: Updated Fortran 77 documentation, particularly
        for `AC_TRY_COMPILE', `AC_TRY_LINK' and `AC_CHECK_LIB'.

Thu Sep  3 09:34:39 1998  Matthew D. Langston  <langston@SLAC.Stanford.EDU>

        * autoconf.texi: Added Fortran 77 documentation.

        * acspecific.m4 (AC_PROG_FC): New macro.  Determine a Fortran
        compiler to use.
        (AC_PROG_FC_WORKS): New macro.
        (AC_PROG_FC_GNU): New macro.
        (AC_PROG_FC_G): New macro.
        (AC_PROG_FC_C_O): New macro.

        * acgeneral.m4: Add FFLAGS (Fortran 77 flags).
        (AC_LANG_FORTRAN): New macro.
        (AC_LANG_RESTORE): Make Fortran 77 aware.
        (AC_TRY_COMPILER): Make Fortran 77 aware (i.e. conditionalize
        whether to `#include "confdefs.h"').

Thu Jun 18 12:13:27 1998  Ian Lance Taylor  <ian@cygnus.com>

	* acspecific.m4 (AC_EXEEXT): Correct setting of ac_exeext when
	there is no extension.

Mon Jun  1 12:30:39 1998  Ian Lance Taylor  <ian@cygnus.com>

	* acgeneral.m4 (AC_CHECK_PROG): Set IFS to just ":" when searching
	through PATH.
	(AC_PATH_PROG): Likewise.
	* acspecific.m4 (AC_PROG_INSTALL): Likewise.
	(AC_PROG_CC): On cygwin32, if neither gcc nor cc
	are found, look for cl.
	(AC_PROG_CXX): Look for cl after all other choices.
	* configure: Rebuild.

Thu May 28 18:37:36 1998  Ian Lance Taylor  <ian@cygnus.com>

	* acgeneral.m4 (AC_ACVERSION): Bump to 2.12.2.

	Add support for Visual C++:
	* acgeneral.m4 (ac_exeext, ac_objext): New variables.
	(ac_link): Use ac_exeext.
	(AC_TRY_COMPILER, AC_TRY_LINK, AC_TRY_RUN_NATIVE): Likewise.
	(AC_TRY_CPP): Remove lines from stderr which contain only the name
	of the file.
	(AC_REPLACE_FUNCS): Use ac_objext.
	* acspecific.m4 (AC_PROG_CC): Check whether compiler supports -g
	even if it is not gcc.
	(AC_PROG_CXX): Likewise.
	(AC_PROG_CPP): Try running the compiler with the -nologo option.
	(AC_FUNC_ALLOCA): Check for _MSC_VER.  Use ac_objext.
	(AC_FUNC_MEMCMP): Use ac_objext.
	(AC_STRUCT_ST_BLOCKS): Likewise.
	(AC_OBJEXT): New macro.
	(AC_CYGWIN32, AC_MINGW32, AC_EXEEXT): New macros.
	* configure: Rebuild.

	* Makefile.in (editsh): Substitute for SHELL.
	(Makefile, config.status): Use $(SHELL) when running
	config.status.
	* autoconf.sh: Change initial /bin/sh to @SHELL@.
	* autoheader.sh: Likewise.
	* autoreconf.sh: Likewise.
	* autoupdate.sh: Likewise.
	* ifnames.sh: Likewise.

Thu Apr 30 16:29:00 1998  Syd Polk  <spolk@cygnus.com>

	* acspecific.m4 (SETPGRP_VOID): The test for setpgrp needs
	to have unistd.h included or the DEC compiler does not
	flag the error that triggers setting the variable.

Tue Nov 18 14:21:38 1997  Eric Mumpower  <nocturne@cygnus.com>

	* autoreconf.sh: Do the right thing when AC_CONFIG_HEADER is
	given more than one filename. As noted in the "Invoking
	autoheader" node of the info files, autoheader will use the first
	file argument given to AC_CONFIG_HEADER. Prior to this patch,
	autoreconf would end up executing incorrect shell code (e.g.
	"test ! -f 1.h 2.h.in") in such cases.
	Patch submitted in parallel to bug-gnu-utils@prep.ai.mit.edu.
	
Fri Oct  3 18:10:39 1997  Ian Lance Taylor  <ian@cygnus.com>

	* acgeneral.m4 (AC_CACHE_SAVE): Add a grep when checking whether
 	set quotes correctly, to avoid a cache overflow on HP-UX 9.
	* configure: Rebuild.

Wed Sep 11 15:35:19 1997  Chris Provenzano  <proven@cygnus.com>

	* acgeneral.m4 : Always set SHELL and substitute SHELL.
	When looking for a path for an executable allow the
	user to override with an DOS path.
	* configure : New configure generated by autoconf.

Thu Sep  4 22:30:40 1997  Jeffrey A Law  (law@cygnus.com)

	* acspecific (AC_PROC_INSTALL): Don't use installbsd on OSF..

Wed Sep  3 23:00:44 1997  Chris Provenzano  <proven@cygnus.com>

	* configure : New configure generated by autoconf.
	* Makefile.in : Set SHELL=@SHELL@. configure now substiutes
	${CONFIG_SHELL-/bin/sh} in for @SHELL@ at configure time.

Mon Aug 11 01:40:37 1997  Jason Molenda  <crash@cygnus.co.jp>

	* acspecific (AC_FUNC_VFORK): If cross-compiling, set
	$ac_cv_func_vfork_works to $ac_cv_func_vfork (assume vfork works
	if present).

Tue Aug  5 23:00:05 1997  Ian Lance Taylor  <ian@cygnus.com>

	* acgeneral.m4 (AC_VERSION): Set to 2.12.1.
	(AC_CANONICAL_HOST): Use CONFIG_SHELL to run $ac_config_sub and
	$ac_config_guess.
	(AC_CANONICAL_TARGET, AC_CANONICAL_BUILD): Likewise.

Tue Dec 10 19:38:59 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_CACHE_SAVE): Use grep to prevent overflowing
	HP-UX 9.05 /bin/sh buffer in case statement.  From Eric Backus
	<ericb@lsid.hp.com>.

Mon Dec  9 23:39:17 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Add a semicolon between
	shell variable assignments; the evaluation order varies between
	implementations. 

Tue Nov 26 13:00:28 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* Version 2.12.

Wed Nov 20 13:00:21 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* Test release 2.11.2.

	* acgeneral.m4 (AC_OUTPUT): Remove a now-wrong test for whether to
	make an unquoted here document.
	(AC_CACHE_SAVE): Double-up backslashes in double quotes.
	From Paul Eggert.

	* Test release 2.11.1.

	* acgeneral.m4 (AC_TRY_COMPILE, AC_TRY_LINK): Make the final
	newline consistent with the other AC_TRY_* macros: no final dnl
	is needed to avoid extraneous blank lines.
	(AC_CHECK_LIB, AC_HAVE_LIBRARY, AC_COMPILE_CHECK): Remove
	extraneous dnl's.
	(AC_DIVERSION_CMDS, AC_DIVERSION_ICMDS): New macros.
	(AC_OUTPUT_COMMANDS, AC_OUTPUT): Use them instead of appending to
	list macros.

	* acgeneral.m4 (AC_CACHE_SAVE): Handle cache variable values
	correctly even if they contain single quote, or are quoted by
	the shell.  From Paul Eggert <eggert@twinsun.com>.
	(AC_INIT_PREPARE): Set LC_MESSAGES to C if set.
	From Hans Olsson <Hans.Olsson@dna.lth.se>.
	Set LC_CTYPE to C if set.
	From tom@vlsivie.tuwien.ac.AT (Thomas Winder).
	* autoconf.sh, autoheader.sh: Likewise set LC_MESSAGES and LC_CTYPE.

Tue Nov 19 10:29:06 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* testsuite/autoconf.g/sizeof.exp: Use the v2 macro name.

	* acgeneral.m4 (AC_OUTPUT_FILES, AC_OUTPUT_HEADER): Support
	creating output files from multiple pieces, concatenated.
	Suggested by "Theodore Ts'o" <tytso@MIT.EDU>.
	(AC_LINK_FILES): If called more than once, concatenate the
	arguments.  From Roland McGrath.
	(AC_CONFIG_SUBDIRS): Likewise.
	(AC_OUTPUT_COMMANDS): New macro.  Suggested by
	Tom Tromey <tromey@creche.cygnus.com>.
	(AC_OUTPUT): Use the lists it sets.

	* acgeneral.m4 (AC_TRY_RUN_NATIVE): Fail if linking fails, like
	AC_TRY_LINK.
	(AC_TRY_RUN): Don't require AC_C_CROSS.
	(AC_TRY_COMPILER): New macro.
	(AC_LANG_C, AC_LANG_CPLUSPLUS): Set cross_compiling.
	* acspecific.m4 (AC_PROG_CC_WORKS, AC_PROG_CXX_WORKS): Use
	AC_TRY_COMPILER instead of AC_TRY_LINK.
	(AC_PROG_CC_GNU, AC_PROG_CC_G): Split out of AC_PROG_CC.
	(AC_PROG_CXX_GNU, AC_PROG_CXX_G): Split out of AC_PROG_CXX.
	For the *_G macros, make the cache variable names non-GNU-specific.
	(AC_C_CROSS): Mark obsolete, and otherwise a no-op.

	* AUTHORS: New file.
	* Makefile.in (DISTFILES): Add it.

	* acspecific.m4 (AC_FUNC_MMAP): Update the getpagesize
	declarations from getpagesize.h.  Check for unistd.h.

	* acgeneral.m4 (AC_OUTPUT_FILES): Run the eval in a subshell.

	* acfunctions: Map fnmatch, strftime, getpgrp, setpgrp to their
	own macros.

	* acgeneral.m4 (AC_OUTPUT_HEADER): Check that $CONFIG_HEADERS is
	unset, not that it's empty.

Mon Nov 18 10:24:50 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* Version 2.11.

Sun Nov 17 20:12:05 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acspecific.m4 (AC_FUNC_STRCOLL): Make the checking message more
	accurate.

Thu Nov 14 11:15:27 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acheaders: Add entry for malloc.h.  Make the strings.h entry
 	suggest AC_CHECK_HEADERS instead of AC_HEADER_STDC.

	* acgeneral.m4 (AC_INIT_PARSE_ARGS): Move initialization of
	ac_max_here_lines here from AC_OUTPUT_HEADER.

	* autoheader.sh: Take the multiple-include protection back out.
	It's not needed for a file that just #defines stuff, and, as Ken
	Raeburn pointed out in Apr 1994:
	Since you don't make it optional, and you don't give the writer of
	configure.in much control over the name of the symbol, it also would
	prevent one "config.h" file in a subdirectory from including
	"../config.h" as a way to avoid duplicating some common tests.

	* acspecific.m4 (AC_PROG_CC_WORKS, AC_PROG_CXX_WORKS): Don't try
	running a program, just try linking.
	(AC_C_CROSS): Make the wording clearer.

Wed Nov 13 10:07:14 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acspecific.m4 (AC_PROG_CC, AC_PROG_CXX): Check whether the
	compiler works before checking whether it's a GNU compiler.
	(AC_FUNC_VFORK): Call _exit after perror.
	(AC_PATH_XTRA): Go back to using -R, as setting an env var as part
	of CC doesn't get eval'd correctly to actually work.
	Directly test whether a space is needed after -R.
	Don't add "-L" to LDFLAGS if $x_libraries is empty.
	(AC_FUNC_STRFTIME): Check for it in -lintl only if it's not in the
	normal libraries.

	* Test release 2.10.3.

	* testsuite/Makefile.in (dejacheck): New target, suggested by Tom
	Tromey <tromey@creche.cygnus.com>.
	(check): Depend on dejacheck.

Tue Nov 12 00:06:14 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_OUTPUT_FILES): Split the list of sed commands in
	conftest.subs into multiple files named conftest.s[1-9][0-9]*.
	Create a pipeline of sed commands that use these files, then delete
	the temporary files.  From John W. Eaton <jwe@bevo.che.wisc.edu>.

	* acspecific.m4 (AC_AIX, AC_MINIX): Remove warnings about AC_TRY_LINK.
	These macros don't change the linkage options.

	* Test release 2.10.2.
	
	* acspecific.m4 (AC_PROG_CC, AC_PROG_CXX) [GCC]: Use -O2 instead
	of -O.  Suggested by fnf@ninemoons.com (Fred Fish).
	
	* acgeneral.m4 (AC_OUTPUT_HEADER): Support passing
 	AC_CONFIG_HEADER a value containing shell variables.  Suggested by
 	Markku Savela <msa@msa.tte.vtt.fi> and Julian Onions
	<j.onions@nexor.co.uk>.
	* acgeneral.m4 (AC_TRY_RUN_NATIVE, AC_TRY_LINK, AC_TRY_COMPILE,
        AC_TRY_CPP): Show the test program in config.log if the test fails.
	From Karl Berry <karl@cs.umb.edu>.
	
	* testsuite/config/unix.exp: Run the configure script as "./script"
	in case the user doesn't have "." in their PATH.
	
Mon Nov 11 18:02:58 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_TRY_COMPILE, AC_TRY_LINK): Deal with smart
	compilers that know that an unused function doesn't have to be
	linked in: call the function directly from main().
	(Removing a legacy from when they tried to run the code, I think-djm.)
	From fnf@ninemoons.com (Fred Fish).

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Rename ac_save_LIBS to avoid
	a clash with AC_CHECK_LIB.
	From Jim Meyering <meyering@asic.sc.ti.com>.
	(AC_FUNC_FNMATCH, AC_FUNC_MMAP, AC_FUNC_VFORK, AC_FUNC_WAIT3,
	AC_FUNC_STRCOLL, AC_FUNC_MEMCMP): Rename cache variables to avoid
	wrong results if someone calls AC_CHECK_FUNC for these functions.

	* autoheader.sh: Don't cmp with config.h.in if it doesn't exist yet.
	Don't frob lines 1-@TOP@ or @BOTTOM@-end of acconfig.h's.
	Accept TAB as well as SPC after #undef in acconfig.h's.
	
Sat Nov  9 01:54:04 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* Test release 2.10.1.

	* acspecific.m4 (AC_PROG_CC_WORKS, AC_PROG_CXX_WORKS): New macros
	adapted from Bruno Haible <haible@ilog.fr>.
	(AC_PROG_CC, AC_PROG_CXX): Use them.
	* acgeneral.m4 (AC_TRY_RUN_NATIVE): Split out of AC_TRY_RUN.
	(AC_TRY_LINK): Check that the executable exists after linking.
	(AC_EGREP_CPP): Disable m4 quote chars around egrep, so [] in regexps
	isn't eaten.

	* autoheader.sh: Add multiple-inclusion protection for config.h.
	
	* acgeneral.m4 (AC_PREFIX_PROGRAM): Pretty up the output.
	(AC_CHECK_LIB): Include the function being tested in the message.
	(AC_CHECK_PROG, AC_PATH_PROG): Add a dummy variable to force word
	splitting on the path.

	* acspecific.m4 (AC_FUNC_MMAP): Remove check and uses of valloc.
	It turns out it's a separate issue, for GNU grep.
	Replace the test program with a new version from Mike Haertel.

	* acgeneral.m4 (AC_CACHE_SAVE): Accept the HP-UX sh 'set' output
	format.  From Marcus Daniels <marcus@sysc.pdx.edu>.
	
	* acgeneral.m4 (AC_MSG_CHECKING, AC_CHECKING): Write a message to
	config.log also.  From "T.E.Dickey" <dickey@clark.net>.
	(AC_CHECK_LIB, AC_CHECK_HEADER, AC_CHECK_HEADERS): Replace use of
	tr with sed, to avoid a bug in the AIX 4.1.3.0 tr reported by
	Alain KNAFF <Alain.Knaff@imag.fr>.  He says that version of
	tr interprets \055 as a range specifier, like an unquoted -.
	* acspecific.m4 (AC_PROG_MAKE_SET, AC_CHECK_HEADER_DIRENT,
	AC_CHECK_HEADERS_DIRENT): Ditto.
	
	* acspecific.m4 (AC_FUNC_SETPGRP): New macro.
        * acconfig.h (SETPGRP_VOID): New entry.
	From "T.E.Dickey" <dickey@clark.net>.

        * acspecific.m4 (AC_PATH_X_DIRECT): Try /lib/usr/lib/X11 for A/UX.
        From Guillermo Gomez <gomez@mi.uni-erlangen.de>.
	(AC_PATH_XTRA): Replace -R with adding LD_RUN_PATH to CC in the
	Solaris kludge.  Suggested by Paul Eggert <eggert@twinsun.com>.
	Define X_DISPLAY_MISSING with AC_DEFINE, and
	if not using X, clear out the X variables.
	Check system-dependent libs before system-independent ones.
	Check for more system-dependent libs.
	From Karl Berry.
	Use AC_CHECK_FUNC in the system-dependent libs tests.
	From Larry Schwimmer <rosebud@cyclone.stanford.edu>.
	Wart removal: Don't require AC_ISC_POSIX.
	(AC_ISC_POSIX): Require AC_PROG_CC, since it uses $GCC.
	From gvran@uddeborg.pp.se.
	Don't blather about being called before AC_TRY_LINK,
	which is now called in AC_PROG_CC.  Don't encourage using this macro.
        * acconfig.h (X_DISPLAY_MISSING): Add entry.
	
Fri Nov  8 16:02:08 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acspecific.m4 (AC_PATH_X_DIRECT): Search for /usr/X11 before
	/usr/X11Rn, etc.  From bostic@bsdi.com (Keith Bostic).

	* acgeneral.m4 (AC_CHECK_TYPE) [STDC_HEADERS]: Check in stddef.h, too.
	From "Glenn P. Davis" <davis@unidata.ucar.edu>.
	Don't require the second char after the type name to be a space.
	(AC_TRY_RUN): Remove the test files before executing the "failure"
	case code.

	* acspecific.m4 (AC_PROG_CXX): Check for cc++ for NexT.
	From Carl Edman <cedman@princeton.edu>.
	(AC_PROG_CC, AC_PROG_CXX): Check whether -g works even if
	C[XX]FLAGS is set.  From T.E.Dickey <dickey@clark.net>
	(AC_FUNC_FNMATCH): New macro.
	* acconfig.h (HAVE_FNMATCH): New entry.
	
	* acgeneral.m4 (AC_REPLACE_FUNCS): Call AC_CHECK_FUNCS to do the work.
	
Tue Oct 29 13:03:44 1996  Doug Evans  <dje@canuck.cygnus.com>

	* acgeneral.m4 (AC_OUTPUT_SUBDIRS): Fix thinko in computation of
	ac_sub_srcdir in relative but not "." case.

Thu Oct 10 22:29:37 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_CANONICAL_HOST, AC_CANONICAL_TARGET,
	AC_CANONICAL_BUILD): Allow the os part of the string returned by
	config.sub to contain dashes, as in "linux-gnu".

Fri Jul 19 16:59:00 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_TYPE): Add dnl so regexp doesn't have a
	leading newline.

Wed Jun 12 13:56:57 1996  David J MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_CHECK_TYPE): Remove extra ')'.

	* Many files: Update the FSF street address.

Sun Jun  9 17:54:23 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_LIB): Add missing \ in last change.

Fri Jun  7 11:54:58 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_LIB): Identifierize lib name in $ac_tr_lib.

Mon May 27 13:49:02 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* acspecific.m4 (AC_SYS_LONG_FILE_NAMES): If $TMPDIR names an
	existing, writable directory, then test it instead of /tmp, /var/tmp,
	and /usr/tmp for long file name support.

	* acgeneral.m4 (AC_PREREQ): Prepend "FATAL ERROR: " to msg.

Sun May 26 19:07:15 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* acspecific.m4 (AC_PROG_MAKE_SET): Sanitize $MAKE for use as
	identifier.

	* acgeneral.m4 (AC_CHECK_TYPE): Tighten regexp so ulong doesn't match
	ulong_t.

	* autoheader.sh: Put $syms in a temporary file and use fgrep -f.

Tue May  7 13:20:33 1996  Roland McGrath  <roland@delasyd.gnu.ai.mit.edu>

	* acgeneral.m4: Version 2.10 released.

Tue Mar 26 13:03:12 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_OUTPUT_HEADER): Make subdir if necessary.

Thu Mar 21 10:52:03 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Fix name of -lelf cache variable
	name in test of it.
	(AC_PATH_XTRA): Fix name of -ldnet cache variable name in test of it.

Wed Mar 20 09:37:31 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_LIB): Use \055 for -; leading and trailing
	both lose with some tr.

	* acspecific.m4 (AC_C_CONST): Remove check for gcc 2.7 bug.
	RMS wants everyone to lose until gcc is fixed.

	* acgeneral.m4 (AC_CHECK_LIB): Put - last in tr set so it is not
	considered a range.

	* acspecific.m4 (AC_C_CONST): Add check for gcc 2.7 bug.
	From Paul Eggert and Jim Meyering.

	* acgeneral.m4 (AC_CHECK_LIB): Omit `char $2' decl when $2 is `main'.

Wed Mar 13 22:10:42 1996  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* acgeneral.m4 (AC_CHECK_LIB): Put quotes around _ when
	constructing cache variable name, to separate it from preceding
	text.

Sat Mar 16 15:53:22 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* Version 2.9 released.
	* acgeneral.m4 (AC_ACVERSION): Updated to 2.9.

Wed Mar 13 12:49:51 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_OUTPUT_HEADER): Undo last change to $ac_dB,
	and instead change the code written into conftest.hdr.

Tue Mar 12 02:51:24 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_OUTPUT_HEADER): Apply Jan 15 fix to
 	AC_OUTPUT_MAKE_DEFS here too: Match `#define foo' without trailing
 	space in confdefs.h.  Before configure would lose if all its trailing
 	whitespace got stripped, and that can happen in mail.

Sun Mar 10 20:30:09 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_INIT_NOTICE): Add 95 and 96 to copyright years.

Sat Mar  9 18:28:42 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_LIB): Add missing [.

Fri Mar  8 15:06:48 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_LIB): Declare $2 to override gcc2 internal
	prototype.

	* Version 2.8 released.

Wed Mar  6 14:38:31 1996  Roland McGrath  <roland@charlie-brown.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_LIB): Use a cache variable name containing
	both the library and function name.

Tue Jan 16 16:39:21 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_PROG): Take optional 6th arg, full name
	of program to reject if found in search path.
	* acspecific.m4 (AC_PROG_CC): If gcc not found use AC_CHECK_PROG
	for cc, rejecting /usr/ucb/cc.
	Fatal configure error if no $CC found at all.

Mon Jan 15 15:57:36 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_OUTPUT_MAKE_DEFS): Match `#define foo' without
	trailing space in confdefs.h.  Before configure would lose if
	all its trailing whitespace got stripped, and that can happen in mail.

Fri Jan 12 14:38:37 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_TRY_CPP): Use "" instead of '' when setting
	ac_try; we need one level of expansion there for $ac_cpp, then
	AC_TRY_EVAL does one more for its the expansion of $ac_cpp.

Thu Jan 11 10:38:19 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_LANG_C, AC_LANG_CPLUSPLUS): Removed echo cmds
	from $ac_cpp, $ac_compile, and $ac_link.
	(AC_TRY_EVAL, AC_TRY_COMMAND): New macros for running tests' commands.
	Always put the configure source line and command line into config.log.
	(AC_TRY_CPP, AC_TRY_COMPILE, AC_TRY_LINK): Use them.
	* acspecific.m4: Use AC_TRY_EVAL and AC_TRY_COMMAND for running
	all tests.

Fri Jan  5 17:50:28 1996  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acspecific.m4 (AC_PATH_X, AC_PATH_X_XMKMF, AC_PATH_X_DIRECT):
	Rearrange logic: do no tests if $with_x=no; make incl and lib
	tests independent, and distinguish unset from empty.

	* autoconf.sh (undefined macro check): \ sed \s inside "".  If
	grep $name in $infile misses, give error message that there must
	be an Autoconf bug.

Tue Dec 19 10:49:20 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* autoconf.sh: Ignore undefined macros in shell comments.

Mon Dec 11 22:12:54 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acspecific.m4 (AC_PROG_CC_C_O): Rearrange logic to get the right
	answer for cc.

Fri Nov 24 17:26:38 1995  Miles Bader  <miles@gnu.ai.mit.edu>

	* autoconf.sh: Define $AWK from the subst @AWK@, and use it.

Wed Nov 22 11:01:16 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* Version 2.7.

	* autoheader.m4 (AC_CHECK_FUNCS, AC_CHECK_HEADERS): Expand the
	  optional action args.  From jj@jfch.vc.cvut.cz (Jakub Jelinek).

	* acgeneral.m4 (AC_CHECK_LIB): Translate - in library names to _.
	(AC_ARG_PROGRAM): Use cat instead of echo to avoid SysV echo
	interpreting backslashes.  From kim@tac.nyc.ny.US (Kimmo Suominen).
	(AC_OUTPUT_FILES): Quote $ and \ for being in an unquoted here
	document.  From Paul Eggert <eggert@twinsun.com>.

	* acspecific.m4 (AC_PATH_X_XMKMF): Use ${MAKE-make}, not plain make.
	(AC_C_CONST): Avoid a warning from g++.
	From tgl@sss.pgh.pa.us (Tom Lane).
	(AC_FUNC_MMAP): Check for valloc and getpagesize; don't rely on
	predefines.
	(AC_HEADER_STDC): If cross-compiling, assume the ctype macros are
	ANSI.  From dje@cygnus.com (Doug Evans).
	(AC_TYPE_SIGNAL) [__cplusplus]: Give a full prototype.
	From churritz@cts.com (Chad Hurwitz).
	(AC_FUNC_VFORK): If cross-compiling, use AC_CHECK_FUNC instead.
	From steve chamberlain <sac@cygnus.com>.

Tue Sep  5 20:37:48 1995  Paul Eggert  <eggert@twinsun.com>

	* acspecific.m4 (X_LIBS): Use `-R lib', not `-Rlib', since Sun
	CC 3.0 requires this.

Tue Aug  8 20:10:12 1995  Paul Eggert  <eggert@twinsun.com>

	* acgeneral.m4: When creating config.status, start a new
	here-script just before building conftest.subs, to work around
	a bug in the HP-UX 9 HP9000-800 sh.

Tue Nov 21 17:36:41 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* Makefile.in (install): Undo last ASCRIPTS panic change.
	The bug reporter hadn't cleaned up his source dir.

Mon Nov 20 15:26:50 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* Version 2.6.

	* acgeneral.m4 (AC_INIT_PARSE_ARGS): Prettify usage message somewhat.

	* Makefile.in: Use @bindir@, @datadir@, @infodir@.
	(install): Find ASCRIPTS in $(srcdir).

Sat Nov 18 14:21:55 1995  Karl Berry  <karl@cs.umb.edu>

        * autoconf.sh: Allow lowercase letters in the undefined-macro name.

Fri Nov 17 15:05:44 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* Version 2.5 released.

Fri Nov 17 15:23:04 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_CHECK_LIB): Don't start tr argument with '+',
	  so as not to confuse old GNU tr's.  From
	  Ian Lance Taylor <ian@cygnus.com>.
	  (AC_INIT_PARSE_ARGS): Make sure MFLAGS and MAKEFLAGS are empty.
	  From Paul Townsend (aab@cc.purdue.edu).
	  (AC_CHECK_LIB, AC_CHECK_HEADERS, AC_CHECK_FUNC): Remove
	  duplicate `d' from alphabets.

	* acspecific.m4 (AC_USG): Define USG if we don't have rindex and
	  bzero, not if we do have them.
	  From Viktor Dukhovni <viktor@anaheim.esm.com>.

Sun Oct 29 15:13:37 1995  Richard Stallman  <rms@mole.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_PROG): Use arg 5 as search list, not arg 4.

Wed Aug 30 17:34:48 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acspecific.m4 (AC_PROG_CC_C_O): If $CC groks it and cc doesn't
	exist, choose yes.

Wed Jul 26 00:03:26 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* Test release 2.4.2.

	* acgeneral.m4 (AC_CHECK_SIZEOF): Take an optional size to
	  use when cross-compiling.

	* acspecific.m4 (AC_FUNC_CLOSEDIR_VOID, AC_DIR_HEADER): If
	  cross-compiling, assume it returns void.  It's not a big loss.
	  From Karl Berry.

	* acgeneral.m4 autoheader.sh: Change tr [a-z] [A-Z] into expansion
	  of the full alphabet, to combat losing AIX 4.1.1 tr when LANG
	  isn't set the way it likes.

	* acspecific.m4 (AC_FUNC_GETMNTENT): Check in -lgen for Unixware.
	From miguel@roxanne.nuclecu.unam.mx (Miguel de Icaza).

	* autoheader.m4 (AC_CONFIG_HEADER): Set config_h to the first
	  argument.  From ghudson@mit.edu (Greg Hudson).

	* Makefile.in (all): Depend on info.

	* acgeneral.m4 (AC_CHECK_PROG, AC_PATH_PROG, AC_CHECK_PROGS,
	  AC_PATH_PROGS, AC_CHECK_TOOL): Add optional PATH
	  parameter.

Mon Jul 24 17:27:11 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_CHECK_LIB): Don't enclose tr args in [], for
	  SysV and POSIX.  From Karl Heuer.

Wed Jul 19 17:43:44 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_CHECK_LIB): Translate + to p in lib name.

Wed Jun 28 13:45:16 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_ARG_ENABLE, AC_ARG_WITH): Allow an empty value
	  for --enable and --with args.
	  (AC_CACHE_CHECK): New macro.
	* acspecific.m4: Use it where possible.

Tue Jun 27 13:29:54 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_INIT_PARSE_ARGS, AC_INIT_PREPARE): Add options
	  --bindir, --libdir, etc.

Mon Jun 26 20:54:36 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_LANG_C, AC_LANG_CPLUSPLUS): Put the command
	  being run into the log file.

Thu Jun 22 22:33:23 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acspecific.m4 (AC_PROG_INSTALL): Don't cache a shell script path.

	* acgeneral.m4 (AC_CHECK_LIB): Allow lib name to contain a . or /,
	by fixing the cache variable name.

Wed Jun 14 23:07:20 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* Version 2.4.

Sun May  7 08:09:12 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* acspecific.m4 (AC_PATH_X_XMKMF): Check for libX11.{so,sl} as
	well as .a when seeing whether LIBDIR or USRLIBDIR is right.

Sat May  6 17:29:07 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* acspecific.m4 (AC_PROG_CPP): If CPP is already set, use that as
	the value and set the cache variable to it.

Mon Mar 27 10:48:36 1995  David J. MacKenzie  <djm@churchy.gnu.ai.mit.edu>

	* Version 2.3.

	* acgeneral.m4 (AC_OUTPUT): Add quotes around the echo arguments
	in the trap, so backslashes aren't required for multiline input.
	From G.Wilford@ee.surrey.ac.uk.
	Also use the sed trick when not using a config header file.

Thu Mar 23 18:02:25 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_LANG_C, AC_LANG_CPLUSPLUS): Put "-c" right
	  after compiler name.  Same for "-o conftest".

	* ifnames.sh (AC_MACRODIR): Default to @datadir@, not a hardcoded
	  path.

	* Test release 2.2.1.

	* acgeneral.m4 (AC_OUTPUT): Use sed, not tr, so we only remove the
	  output config header, not the input one too.  From
	  muessig@ipf.bau-verm.uni-karlsruhe.DE (Peter Muessig).
	  (AC_LANG_C): Undo Feb 7 change.  According to Roland McGrath,
	  most compilers require all options but -l... and -o to come first.

	* Makefile.in (uninstall): Don't use $@, since the cd makes it
	  invalid when srcdir is relative.

Wed Mar  8 17:05:06 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* Version 2.2.

Wed Mar  8 12:44:34 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* Makefile.in: Follow cd commands with &&, not ;.
	From Franc,ois Pinard.

Tue Mar  7 11:48:19 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acspecific.m4 (AC_FUNC_ALLOCA): Keep sh variable namespace clean.
	Put newline after AC_DEFINE_UNQUOTED call to avoid Irix syntax error.

Mon Mar  6 15:07:00 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* Test release 2.1.3.

	* acspecific.m4 (AC_FUNC_ALLOCA): Replace nested AC_FUNC_CHECK
	  calls with a loop.

	* acspecific.m4 (AC_FUNC_VPRINTF): Don't check for signal munging.
	  From Paul Eggert.

	* acgeneral.m4 (AC_CACHE_SAVE): Tell the user whether the cache
	  changed or not.  From gnu@toad.com (John Gilmore).

	* Makefile.in (install-info): Don't cd, to avoid breaking
	  install-sh references.

Fri Mar  3 11:41:01 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* Makefile.in (autoconf.info, standards.info): Use --no-split to
	  avoid creating filenames > 14 chars.

	* acgeneral.m4 (AC_CHECK_FUNC): Use assert.h,
	  to avoid protype conflicts from ctype.h (!!) on OSF/1 3.0.

Sat Feb 25 01:56:57 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acspecific.m4 (AC_C_BIGENDIAN): Check for BYTE_ORDER macro from
 	sys/param.h before trying the test program which cannot be
 	cross-compiled.

Fri Feb 24 20:02:08 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_FUNC): Include errno.h instead of ctype.h
 	in test program.

Wed Feb 22 18:01:27 1995  David J. MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* Test release 2.1.2.

Tue Feb 21 13:00:07 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_CACHE_VAL): Add extra quotes to work around AIX
	  4.1 bug reported by hyc@locus.com (Howard Chu).

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Check for -lelf before -lkvm.
	Reported by Kaveh R. Ghazi <ghazi@caip.rutgers.edu>.
	(AC_HEADER_STAT): Check whether S_IFDIR is defined, to work around
	ISC bug reported by rick@anasazi.com (Rick Coupland).

	* autoheader.sh: Better solution to @BOTTOM@ printing.
	From Paul Eggert.

Mon Feb 13 18:13:11 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acspecific.m4 (AC_PROG_CC_C_O): Use sed filter to make sure
 	${ac_cc} is always a valid shell variable name.
	(AC_PROG_MAKE_SET): Remove gratuitous backslashes in checking message.

Sun Feb 12 18:42:35 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_TOOL_PREFIX): Require AC_CANONICAL_BUILD,
 	so both $build and $host are definitely set before we compare
 	them.

Sat Feb 11 04:37:30 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_TOOL): Rewritten.  Take optional third
 	arg VALUE-IF-NOT-FOUND.  Check for
 	${ac_tool_prefix}PROG-TO-CHECK-FOR first.  If not found and third
 	arg given, and ${ac_tool_prefix} is nonempty, check for unadorned
 	PROG-TO-CHECK-FOR as well.  Last choice use VALUE-IF-NOT-FOUND.

Fri Feb 10 17:45:53 1995  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_OUTPUT): Fix sed command to produce $ac_dots
	for subdir configures.

Thu Feb  9 14:42:20 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* testsuite/config/unix.exp (autoconf_load): Run the script with
	  /dev/null as the cache.

	* acgeneral.m4 (AC_CHECK_TOOL_PREFIX, AC_CHECK_TOOL): New macros,
	  from Roland McGrath.

	* acspecific.m4 (AC_DECL_YYTEXT): Cache the output file root.
	(AC_C_INLINE): If the compiler doesn't recognize it, define it
	away.  Try __inline__ too.  From Jim Avera.
	(AC_FUNC_GETPGRP): New macro.  From Arnold Robbins.
	* acconfig.h: New entry for it.

	* configure.in: Check for new awk.
	* Makefile.in (editsh): Substitute in AWK.

	* acspecific.m4 (AC_PROG_INSTALL): Allow trailing slashes in PATH
	  elements.
	* acgeneral.m4 (AC_PREFIX_PROGRAM): Ditto.

Tue Feb  7 11:32:09 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_CHECK_LIB, AC_HAVE_LIBRARY): Check and add the new
	  library before existing libs, not after, in case it uses them.
	* acspecific.m4 (AC_FUNC_GETLOADAVG, AC_FUNC_GETMNTENT,
	  AC_FUNC_STRFTIME, AC_DYNIX_SEQ, AC_IRIX_SUN, AC_SCO_INTL): Ditto.

	* autoheader.sh: Allow @BOTTOM@ to be the first line in
	  acconfig.h.  From iwj10@cus.cam.ac.uk (Ian Jackson).

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Add semicolons before
	  AC_DEFINE.  Check for -lkvm before -lutil.  Assume it needs setgid
	  if using -lutil.

	* acgeneral.m4 (ac_compile, ac_link): Put the file name before the
	  variables, so they can contain -l options.

	* acspecific.m4 (AC_FUNC_WAIT3): Sleep longer for HPUX.
	(AC_TYPE_SIGNAL): Declare signal as extern "C" for C++.

	* Makefile.in testsuite/Makefile.in (maintainer-clean): Renamed
	  from realclean.

	* autoconf.sh (TMPDIR): Inherit from environment, or set if not.

	* acgeneral.m4 (AC_PREFIX_PROGRAM): Say we're checking the prefix.

	* acspecific.m4 (AC_ISC_POSIX): Fix typo.
	(AC_PATH_X): Screen out bogus values from imake.
	(AC_PROG_LEX): Check for yywrap, not main, in the library.

Thu Feb  2 11:32:07 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acconfig.h (__CHAR_UNSIGNED): Protect with #ifndef.
	From marcus@ee.pdx.edu (Marcus Daniels).

	* acgeneral.m4 (AC_CACHE_SAVE): Workaround Ultrix and 4.3BSD sh
	  bug in setting the high bit on variable values.
	  From Ken Raeburn.
	  (AC_OUTPUT_FILES, AC_OUTPUT_SUBDIRS): Ignore initial "./" to
	  avoid messing up the dot-dot counts.
	  (AC_OUTPUT_SUBDIRS): Pass INSTALL magic to subdirectories.
	  From Karl Berry.

	* ifnames.sh: Speed up drastically by folding 3N+2 processes into 2.
	From Paul Eggert.

Wed Feb  1 11:58:27 1995  David J. MacKenzie  <djm@catapult.va.pubnix.com>

	* acgeneral.m4 (AC_ARG_ENABLE, AC_ARG_WITH): Add additional
	  quoting for internal consistency.
	  From junio@twinsun.COM (Jun Hamano).

	* acspecific.m4 (AC_PATH_XTRA): R6 function name was wrong.
	From Karl Berry.
	(AC_C_CROSS): Fix typo in cache var name.
	From tgl@sss.pgh.pa.us (Tom Lane).
	(AC_PROG_MAKE_SET): Change / in the make program name into _ so it
	can be part of a shell variable name.
	(AC_DECL_YYTEXT): Fix arguments to AC_TRY_LINK.
	From interran@uluru.stanford.edu (John Interrante).

	* acgeneral.m4 (AC_CHECK_SIZEOF): If test program fails, set the
	  variable to 0 as the doc sez.
	  From eisen@cc.gatech.edu (Greg Eisenhauer).

	* acgeneral.m4, acspecific.m4: Remove *.core and core.* as well as
	  core, for recent BSD's.

	* acspecific.m4 (AC_SYS_INTERPRETER): Use `#! /' instead of `#!/'.
	* acgeneral.m4 (AC_INIT_BINSH): Likewise.
	* All scripts: likewise.
	From woods@kuma.web.net (Greg A. Woods).

	* acgeneral.m4 (AC_INIT_PREPARE): Use fd 6 instead of 4, to
	  prevent a conflict on the Kubota Titan.  From
	  muessig@ipf.bau-verm.uni-karlsruhe.DE (Peter Muessig).

	* autoconf.sh: Use a more concise syntax to set variables.
	From Karl Berry.

	* acspecific.m4 (AC_FUNC_WAIT3): Check page fault measurements to
	  catch Linux.  From tobias@server.et-inf.fho-emden.de (Peter Tobias).

	* acgeneral.m4 (AC_OUTPUT): If running config.status
	  fails, exit with a nonzero status.  From Ken Raeburn.

Tue Dec  6 19:07:07 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acspecific.m4 (AC_FUNC_GETLOADAVG): Use elf_begin in -lelf
        check, not elf_read.

Mon Nov  7 18:18:11 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acspecific.m4 (AC_PROG_MAKE_SET): Fix msg; $MAKE is not useful
        Make syntax.

Fri Nov  4 09:08:33 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* Version 2.1.

	* autoreconf.sh: Add -f --force option.
	From "Theodore Ts'o" <tytso@MIT.EDU>.

Thu Nov  3 10:24:08 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_TRY_RUN): Reword warning.

	* acspecific.m4 (AC_PROG_CXX): Notify the user of the check for
	  GNU C++.
	  (AC_PROG_CXX, AC_PROG_CXXCPP): Use g++, not gcc, as default C++
	  compiler.
	* acgeneral.m4 (AC_LANG_CPLUSPLUS): Ditto.

	* acgeneral.m4 (AC_INIT_PARSE_ARGS): Move ac_usage string directly
	  into the here document to work around A/UX shell limitation.

	* acgeneral.m4 (AC_COMPILE_CHECK): Mention the MSG macros in the
	  obsolete warning.

	* autoscan.pl (output_programs): Use AC_CHECK_LIB, not
	  AC_HAVE_LIBRARY.

	* acgeneral.m4 (AC_CHECK_FUNC): Move prototype outside of function
	  so it works with C++.  From ejb@era.COM (E. Jay Berkenbilt).

Fri Oct 28 11:23:30 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* acspecific.m4 (AC_CHECK_HEADERS_DIRENT): Use define, not
	AC_DEFUN, so the testsuite doesn't call it with no arguments,
	leading to a syntax error in the real Bourne shell.

Wed Oct 26 18:40:41 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* Version 2.0.

Tue Oct 25 11:04:16 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_CHECK_HEADER, AC_CHECK_HEADERS): Change -
	in file names to _.
	* acspecific.m4 (AC_CHECK_HEADER_DIRENT, AC_CHECK_HEADERS_DIRENT):
	Likewise.

Mon Oct 24 11:28:20 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* Makefile.in (uninstall): Remove the transformed names.
	(SCRIPTS): Rename from PROGS.
	* configure.in: Likewise.

Fri Oct 21 07:14:23 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_TRY_COMPILE): New macro.
	(AC_LANG_C, AC_LANG_CPLUSPLUS): Set $ac_compile.
	(AC_TRY_LINK): Don't declare exit.
	* acspecific.m4 (AC_C_INLINE, AC_C_CONST, AC_CHECK_HEADER_DIRENT,
	AC_DECL_SYS_SIGLIST, AC_HEADER_SYS_WAIT, AC_TYPE_SIGNAL,
	AC_FUNC_GETLOADAVG, AC_HEADER_TIME, AC_STRUCT_TM,
	AC_STRUCT_TIMEZONE, AC_STRUCT_ST_BLOCKS, AC_STRUCT_ST_BLKSIZE,
	AC_STRUCT_ST_RDEV): Use AC_TRY_COMPILE instead of AC_TRY_LINK.
	(AC_AIX, AC_MINIX, AC_ISC_POSIX): Must come before AC_TRY_COMPILE.

	* acspecific.m4 (AC_PROG_LEX): Don't assume -ll if using lex;
	check for it.  From Mark Eichin.

Thu Oct 20 07:11:22 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_PARSE_ARGS): Ignore --site.

	* autoscan.pl: Add more blank lines to the output.  Pacify perl -w.

Wed Oct 19 09:14:50 1994  David J. MacKenzie  (djm@churchy.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_PREREQ_COMPARE): Allow secondary and ternary
	numbers >99.  From John Eaton <jwe@che.utexas.edu>.

Wed Oct 19 00:06:40 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* ifnames.sh: Take comments out of sed script.

Tue Oct 18 00:20:04 1994  David J. MacKenzie  <djm@duality.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_INIT_NOTICE): Set ac_default_prefix.
	(AC_INIT_PARSE_ARGS, AC_SITE_LOAD, AC_OUTPUT): Use it.
	(AC_PREFIX_DEFAULT): New macro.
	From Ken Raeburn.

	* testsuite/autoconf.s/syntax.exp: Renamed from specific.exp.

	* acgeneral.m4 (AC_SITE_LOAD): Change where to look for config.site.

	* configure.in: Call AC_ARG_PROGRAM.
	* Makefile.in (install): Use program_transform_name.

	* acgeneral.m4 acspecific.m4 acoldnames.m4: Clarify copying terms.

	* acgeneral.m4 (AC_CANONICAL_BUILD): Default build to host, not empty.

	* acspecific.m4 (AC_PROG_CC): Recognize NeXT cpp as GNU C.
	From tom@basil.icce.rug.NL (Tom R.Hageman).

Mon Oct 17 18:25:53 1994  David J. MacKenzie  (djm@duality.gnu.ai.mit.edu)

	* acspecific.m4 (AC_PROG_CPP): Use assert.h (comes with gcc), not
	stdio.h (loses for new cross-compilers).  From Roland McGrath.

Tue Oct 11 13:22:22 1994  David J. MacKenzie  (djm@duality.gnu.ai.mit.edu)

	* acspecific.m4 (AC_PATH_XTRA): Add X_PRE_LIBS variable and assume
	-lSM if -lICE is found.  From Karl Berry.

Mon Oct  3 20:12:36 1994  David J. MacKenzie  (djm@duality.gnu.ai.mit.edu)

	* testsuite/Makefile.in (AUTOCONF, AUTOCONFFLAGS): Test
	../autoconf, not installed autoconf.

Sat Oct  1 04:43:43 1994  Paul Eggert  <eggert@twinsun.com>

	* acspecific.m4: Catch `const' bug in NEC SVR4.0.2 mips cc.

	* Makefile.in (.sh, .pl, configure): Do chmod before mv.

	* acheaders, acspecific.m4 (AC_HEADER_SYS_WAIT): New entry.

	* acconfig.h (HAVE_SYS_WAIT_H): New entry.

Wed Sep 28 08:59:01 1994  David MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* Makefile.in: Set datadir to $(prefix)/share.

Tue Sep 27 08:00:38 1994  David MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* Makefile.in: Use implicit rules to make scripts.
	From Jim Meyering.

	* acconfig.h: Remove #undefs of unused symbols.
	From Paul Eggert.
	* testsuite/autoconf.s/defines.exp: New file.
	* testsuite/autoconf.s/specific.exp: Extract the list of macros to
	  test from acspecific.m4 instead of hardcoding it.
	* acspecific.m4 (AC_PROG_CXXCPP): Default CXX to gcc, not c++.

Mon Sep 26 12:32:46 1994  David MacKenzie  <djm@churchy.gnu.ai.mit.edu>

	* acspecific.m4 (AC_HEADER_DIRENT): Only check for -lx if not
	  using dirent.
	* autoreconf.sh: Shorten sed label for OSF/1.
	* acgeneral.m4 acspecific.m4: Change licensing terms for output.

Thu Sep 22 15:36:56 1994  David MacKenzie  <djm@churchy.gnu.ai.mit.edu>

	* autoconf.sh (tmpin): Always set.

Wed Sep 21 13:12:10 1994  David MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_INIT_PREPARE): Remove trailing slashes from
	  srcdir.

Mon Sep 19 17:11:39 1994  David MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_INIT, AC_INIT_PARSE_ARGS, AC_CANONICAL_SYSTEM,
	  AC_ARG_PROGRAM): Make the default for program_transform_name be
	  a valid sed script, and substitute it always.

Sat Sep 17 08:27:58 1994  David MacKenzie  <djm@geech.gnu.ai.mit.edu>

	* autoheader.sh: Protect `for' loop from checking empty $syms.

	* ifnames.sh: Use % instead of , as sed s separator.

	* autoscan.pl: Update output comments.

Fri Sep 16 11:20:02 1994  David MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acspecific.m4 (AC_TYPE_GETGROUPS): Provide a cross compiling
	  default.  From Jim Meyering.

	* acgeneral.m4 (AC_INIT_PARSE_ARGS): Document
	  --program-transform-name.

Thu Sep 15 16:26:36 1994  David MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_INIT_NOTICE): Clarify copying notice.
	Fix up comments between sections.

	* acspecific.m4 (AC_PROG_LEX): Omit extra checking message.

	* autoreconf.sh: Give usage if non-option args are given.
	* autoconf.sh autoheader.sh: Define AC_LOCALDIR for configure.in.

Thu Sep 15 11:31:13 1994  Ian Lance Taylor  (ian@airs.com)

	* Makefile.in (check): Set AUTOCONFFLAGS from srcdir, not objdir.

Thu Sep 15 09:06:40 1994  David MacKenzie  (djm@churchy.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_MSG_ERROR): Say that it's an error in the message.

	* Makefile.in (check): Copy install-sh from srcdir if needed.

	* autoreconf.sh: Only regenerate autoheader-generated header file
	  templates.  Pass relative macrodir properly.
	* autoconf.sh autoheader.sh autoreconf.sh: Add -l --localdir option.
	Based on work by Mark Eichin.

	* ifnames.sh: Add -h option.
	* autoconf.sh autoheader.sh: Remove -v option.

	* acgeneral.m4 (AC_CHECK_TYPE): Require AC_HEADER_STDC and check
	  stdlib.h if present.

	* acgeneral.m4 (AC_OUTPUT): Protect cache save from interruptions.

Tue Sep 13 09:46:23 1994  David J. MacKenzie  (djm@churchy.gnu.ai.mit.edu)

	* Makefile.in (install): Use srcdir.  From Mark Eichin.

	* acgeneral.m4 (AC_OUTPUT_FILES): Automatically add
	  configure_input comment to Makefiles again.
	* Makefile.in testsuite/Makefile.in: Remove configure_input ref.

	* acgeneral.m4 (AC_LINK_FILES, AC_OUTPUT_LINKS): Reverse the order
	  of the arguments.  Support relative symlinks.

	* acgeneral.m4 acspecific.m4: Remove some gratuitous {} in shell
	  variable references.

	* acgeneral.m4 (AC_OUTPUT_FILES): New output variable
	  configure_input replaces big kludge for adding output comment.
	* Makefile.in, testsuite/Makefile.in: Use it.

Mon Sep 12 23:06:08 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_INIT_PREPARE, AC_OUTPUT_SUBDIRS): Make command
	  line quoting work for shell metachars besides blanks.

Sun Sep 11 23:34:24 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acspecific.m4 (AC_PATH_XTRA): Link with X_EXTRA_LIBS when
	  checking for -lSM.

	* acfunctions (memcmp): Use AC_FUNC_MEMCMP.  From Paul Eggert.

	* acgeneral.m4 (AC_COMPILE_CHECK): Mark obsolete.

Sat Sep 10 10:59:19 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* Makefile.in (DISTFILES): Include install-sh, not install.sh.

	* autoscan.pl: Check AC_MACRODIR.

	* acgeneral.m4 (AC_INIT_PARSE_ARGS, AC_INIT_PREPARE,
	  AC_CONFIG_SUBDIRS, AC_OUTPUT_SUBDIRS): Make quoting of command
	  line options work.
	  (AC_CONFIG_AUX_DIRS): Check for install-sh over install.sh.

	* acspecific.m4 (AC_FUNC_GETMNTENT): Only check for second lib if
	  first lib isn't found.  From Jim Meyering.

Fri Sep  9 10:41:42 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acspecific.m4 (AC_FUNC_MEMCMP): New macro, from Jim Meyering.
	* testsuite/autoconf.s/specific.exp: Test it.

	* testsuite/Makefile.in (site.exp): Simplify.

	* acgeneral.m4 (AC_CACHE_SAVE): Use a shorter syntax for setting
	  the variables.  Idea from Karl Berry.
	  (AC_CHECK_FUNCS, AC_CHECK_HEADERS): Take an action-if-not-found.
	  From Jim Meyering.

	* acconfig.h: Add entries for getmntent and strftime.
	* acspecific.m4 (AC_C_CHAR_UNSIGNED): If GCC, don't run a test
	  program.

Thu Sep  8 10:53:53 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acspecific.m4 (AC_USG): Was passing too many args to AC_TRY_LINK.
	(AC_FUNC_STRFTIME, AC_FUNC_GETMNTENT): New macros.
	(AC_HEADER_DIRENT): Check for Xenix dir libs.
	(AC_XENIX_DIR, AC_SCO_INTL, AC_IRIX_SUN, AC_DYNIX_SEQ, AC_AIX,
	AC_ISC_POSIX, AC_MINIX): Go back to the v1 names.
	* acoldnames.m4: Delete their aliases.
	* testsuite/autoconf.s/specific.exp: Check them.

	* acgeneral.m4 (AC_ARG_PROGRAM): Use `;' instead of `-e' to
	  separate sed arguments, to simplify Makefile usage and support
	  sed arguments containing spaces.
	  (AC_CANONICAL_HOST): Move check for config.sub here from
	  AC_CANONICAL_SYSTEM.

	* autoheader.m4 (AC_CHECK_HEADERS_DIRENT): Redefine.  From Paul Eggert.
	(AC_CHECK_SIZEOF): Redefine this, not the old name.
	(AC_HAVE_LIBRARY): Redefine.

Wed Sep  7 09:32:31 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* testsuite/lib/common.exp: Ignore warnings about test programs.
	* testsuite/autoconf.s/specific.exp: Check AC_FUNC_CLOSEDIR_VOID.

	* Makefile.in (*clean): Remove the new index.
	(dist): Undo adding write perms.  Screws up RCS.
	* acgeneral.m4 (AC_OUTPUT_MAKE_DEFS): Remove comments from sed
	  program.
	* acoldnames.m4: Change a couple of AC_DEFUN to define.

Wed Sep  7 01:27:19 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_SITE_LOAD): Check whether $CONFIG_SITE is empty.

Tue Sep  6 09:55:30 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_ARG_PROGRAM): New macro.
	(AC_INIT_PARSE_ARGS, AC_CANONICAL_SYSTEM): Do a little setup for it.

	* acspecific.m4 (AC_PROG_INSTALL): Clarify comment.  Remove check
	  for bsdinst, since it's no better than our install.sh.
	  (AC_CHECK_HEADER_DIRENT, AC_CHECK_HEADERS_DIRENT): New macros.
	  (AC_HEADER_DIRENT, AC_DIR_HEADER): Use them.
	  (AC_PROG_CC, AC_PROG_CXX): Check whether GCC accepts -g.

	* acgeneral.m4 (AC_INIT_PREPARE): Call AC_PROG_ECHO_N.
	Use define instead of AC_DEFUN for some frequently called or
	internal macros that aren't involved in ordering constraints.

Mon Sep  5 17:37:36 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acspecific.m4 (AC_C_CROSS): Provide default argument to AC_TRY_RUN.

Fri Sep  2 09:30:41 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_TRY_CPP): Use a temp file so sh -x works.
	From Mark Nudelman.

	* acgeneral.m4: --norecursion -> --no-recursion.
	(AC_OUTPUT_LINKS): Reset srcdir to ac_given_srcdir.

	* acspecific.m4 (AC_PATH_X): Call AC_ARG_WITH(x, ...).
	(AC_PROG_INSTALL): Search for bsdinst too.

	* Makefile.in (dist): Make distribution files writable.

	* acgeneral.m4 (AC_OUTPUT): Move trap 0 commands to near the end
	  of configure, to work around shell bug in failing to execute the
	  trap when there are commands after AC_OUTPUT.

Sat Sep  3 19:47:06 1994  Roland McGrath  <roland@churchy.gnu.ai.mit.edu>

	* acgeneral.m4 (AC_OUTPUT_FILES): Write CONFIG_FILES defn
	unquoted, so $1 can contain references to shell variables in configure.

Thu Sep  1 15:34:15 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_TRY_RUN): Always warn if no cross-compile
	  default is given.
	* acspecific.m4 (AC_FUNC_MMAP, AC_FUNC_VFORK, AC_FUNC_WAIT3,
	  AC_FUNC_UTIME_NULL, AC_FUNC_STRCOLL): Provide a default
	  for AC_TRY_RUN.
	  (AC_FUNC_CLOSEDIR_VOID): New macro, broken out of AC_HEADER_DIRENT.

Thu Sep  1 00:06:38 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acgeneral.m4 acspecific.m4: Discard all output until AC_INIT is
	  called.  Remove now-unnecessary dnl's between macro definitions.
	  (AC_OUTPUT): Add exit 0 and optional unquoted here document to
	  end of config.status.

Wed Aug 31 00:11:28 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acspecific.m4 (AC_PATH_X_DIRECT): Use AC_TRY_LINK instead of
	  AC_CHECK_LIB, so we don't add the library to $LIBS or print anything.
	  (AC_PATH_XTRA): Remove initial checking message.
	  (AC_HEADER_STDC): In test program, default to no STDC headers if
	  cross compiling.

Tue Aug 30 16:16:29 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* autoreconf.sh: Add -h option.
	* autoupdate.sh: Remove -v option.

	* acgeneral.m4 (AC_EGREP_CPP, AC_TRY_CPP): Add parens around eval
	  for old shells.  From Kaveh Ghazi.
	  (AC_TRY_RUN): Warn when generating configure, if called without
	  a default parameter and AC_CANONICAL_SYSTEM has been called.

	* autoheader.sh: Don't run `for' loops on empty lists.
	From Ken Raeburn.

	* autoconf.sh autoheader.sh: Print the version number using grep
	  like the other scripts, not using m4.
	* acgeneral.m4: Remove conditional for printing version number.
	It broke with frozen files.

	* autoheader.m4: New file.
	* autoheader.sh: Use it; the frozen version if possible.
	* Makefile.in (install): Install a frozen autoheader.m4f if possible.
	* autoconf.m4: Don't sinclude acsite.m4 here.
	* acgeneral.m4 (AC_INIT): Include it here.

Tue Aug 30 14:02:07 1994  David J. MacKenzie  (djm@mole.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_CHECK_LIB): Use AC_DEFINE_UNQUOTED.
	From Jim Meyering.

	* acgeneral.m4: Revise diversions, to topologically order
	macros called via AC_REQUIRE.
	(AC_DIVERT_PUSH, AC_DIVERT_POP): New macros.
	(AC_INIT, AC_ARG_ENABLE, AC_ARG_WITH, AC_SUBST, AC_SUBST_FILE,
	AC_REQUIRE): Use them.
	From Franc,ois Pinard (bless his soul!).
	(AC_PRO, AC_EPI): New macros.
	(AC_DEFUN): Use them.
	(AC_INIT): sinclude aclocal.m4 herea.
	* autoconf.m4: Not here.

	* autoconf.sh: Use a freeze file if available and m4 can do it.
	* Makefile.in (install): Install a freeze file if m4 supports it.

Mon Aug 29 16:18:22 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_TRY_CPP): Remove subshell and move quotes.

Sun Aug 28 17:37:26 1994  David J. MacKenzie  (djm@bennett.eng.umd.edu)

	* acspecific.m4 (AC_C_CHAR_UNSIGNED, AC_C_LONG_DOUBLE,
	  AC_C_INLINE): Don't AC_REQUIRE AC_PROG_CC.

	* acspecific.m4 (AC_RSH, AC_ARG_ARRAY, AC_HAVE_POUNDBANG): Define
	  to print error messages.

	* acgeneral.m4 (AC_OUTPUT_LINKS): Insert ac_links and ac_files
	  into config.status using an *un*quoted here document.
	  From Ken Raeburn.

Sat Aug 27 13:31:58 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_OUTPUT_HEADER): Remove comments from within sed
	script.  From Kaveh Ghazi <ghazi@wilhelm.rutgers.edu>.

Fri Aug 26 17:03:18 1994  David J. MacKenzie  (djm@geech.gnu.ai.mit.edu)

	* autoconf.sh, acgeneral.m4: __LINE__ -> __oline__.

	* acgeneral.m4 (AC_TRY_CPP, AC_EGREP_CPP): Append any error output
	to config.log.
	(AC_EGREP_CPP): Don't use a temp file.

	* acspecific.m4 (AC_FUNC_ALLOCA): Require CPP.

	* acgeneral.m4 (AC_INIT_PREPARE): Replace AC_SUBST_DEFAULT calls
	with AC_SUBST.
	(AC_SUBST_DEFAULT): Macro removed.
	* acspecific.m4 (AC_PROG_CC, AC_PROG_CXX): If CFLAGS or CXXFLAGS
	was not set already, give it a default value according to whether
	we have gcc.

	* acspecific.m4 (AC_PATH_XTRA): Use AC_CHECK_LIB, not AC_HAVE_LIBRARY.

Fri Aug 26 00:34:11 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acconfig.h (HAVE_UNION_WAIT): Entry removed; it wasn't defined
	anywhere.

	* acgeneral.m4 (AC_OUTPUT_HEADER): rm files before mv onto them.
	(AC_OUTPUT): Remove explicit exit at end of configure, to allow
	code after AC_OUTPUT (needed for Emacs).

	* acgeneral.m4 (AC_CANONICAL_SYSTEM): Move setting of alias vars
	  into submacros.

	* acspecific.m4 (AC_PROG_CPP): If $CPP is set and is a directory,
	  ignore it.

Thu Aug 25 09:26:36 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acspecific.m4 (AC_SYS_INTERPRETER): Move hash mark out of macro
	  call.
	  (AC_FUNC_MMAP): If C++, put malloc decls in extern "C".

	* acgeneral.m4 (AC_INIT_PARSE_ARGS): Untabify help message
	and indent options.

	* Makefile.in (DISTFILES): Remove ChangeLog.0.

	* acgeneral.m4 (AC_CHECK_LIB): Do uppercasing of library name at
	  runtime.
	  (AC_HAVE_LIBRARY): Retain old behavior.

	* acspecific.m4 (AC_FUNC_VFORK): If C++, use a prototype for the
	  function in the test program.
	  (AC_C_ARG_ARRAY): Macro deleted.
	* acoldnames.m4, acconfig.h, testsuite/autoconf.s/specific.exp:
	  Remove references to it.

	* autoupdate.sh: Make sure $infile can be read, and $tmpout has
	  the same permissions.  Make sure $infile can be written.  From
	  Paul Eggert.

	* acgeneral.m4 (AC_INIT*): Remove now-incorrect AC_BEFORE calls.
	(AC_CHECK_FUNC): If C++, use extern "C".
	(AC_TRY_LINK, AC_TRY_RUN): If C++, declare exit.

	* acspecific.m4 (AC_PATH_XTRA): Check for more libraries.
	From Karl Berry.

	* acgeneral.m4 (AC_INIT_PREPARE): Substitute CPPFLAGS.
	(AC_LANG_C, AC_LANG_CPLUSPLUS): Include CPPFLAGS in the commands.

	* acgeneral.m4 (AC_OUTPUT_FILES): Move protection for right side
	  of sed substitution here from AC_MAKE_DEFS, so it applies to all
	  AC_SUBST'd variables.

	* Makefile.in (install): Use for loops.  From Jim Meyering.

	* acgeneral.m4: Revise diversions to rely on implicit flushing at
	  the end of the m4 run.  Idea from Franc,ois Pinard.
	  (AC_INIT_PREPARE, AC_ARG_ENABLE, AC_ARG_WITH, AC_PREFIX_PROGRAM):
	  Write to the appropriate diversions.
	  (AC_ENABLE, AC_WITH): Supply default help string.
	  (AC_ENABLE_INTERNAL, AC_WITH_INTERNAL, AC_PREFIX_INTERNAL):
	  Macros removed.
	  (AC_CONFIG_SUBDIRS): Set `subdirs' here instead of in
	  AC_INIT_PREPARE.
	  (AC_PREFIX): Macro removed.
	* acoldnames.m4 (AC_PREFIX): Make it an alias for AC_PREFIX_PROGRAM.

	* acoldnames.m4: We don't officially support calling
	  the subroutines of AC_INIT directly, or replacing them, so don't
	  document it.

Wed Aug 24 00:19:05 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acgeneral.m4 (AC_EGREP_CPP, AC_TRY_LINK, AC_TRY_RUN,
	  AC_TRY_CPP): Add #line directives.
	* autoconf.sh: Make the #line directives accurate.
	From Franc,ois Pinard.

	* acgeneral.m4 (AC_OUTPUT): Set ac_given_INSTALL from INSTALL.
	(AC_SUBST_FILE): Replace with what was AC_INSERT_FILE.
	(AC_SUBST_DEFAULT): New macro.
	(AC_INIT_BINSH): Renamed from AC_BINSH.
	(AC_INIT_PREPARE): Call AC_SUBST_DEFAULT for CFLAGS, CXXFLAGS, and
	LDFLAGS.

	* acspecific.m4 (AC_HEADER_MAJOR): Don't nest caching tests.

	* Makefile.in (clean): Remove the new index files.

	* configure.in: Check for gm4 before gnum4.

	* acspecific.m4 (AC_PROG_RSH): Macro removed.

	* Makefile.in (install): Install autoconf.m4.

	* acspecific.m4 (AC_SYS_INTERPRETER): New name and calling
	  convention for AC_HAVE_POUNDBANG.
	  (AC_OS_XENIX): Check ac_header_dir instead of DEFS.

	* testsuite/autoconf.s/specific.exp: Add AC_HEADER_DIRENT.
	Remove AC_SYS_REMOTE_TAPE.  Replace AC_HAVE_POUNDBANG with
	AC_SYS_INTERPRETER.

	* acspecific.m4 (AC_INT_16_BITS, AC_LONG_64_BITS): Reword messages.

	* acgeneral.m4 (AC_CHECK_LIB): Use our standard alternate m4 quote
	  characters << and >> instead of /.

	* acspecific.m4 (AC_C_CONST, AC_TYPE_GETGROUPS,
	  AC_PROG_GCC_TRADITIONAL): Don't put the test program in a
	  temporary variable.

	* acgeneral.m4 (AC_CHECK_HEADERS, AC_CHECK_FUNCS): Use
	  AC_DEFINE_UNQUOTED.
	* autoheader.sh (AC_DEFINE_UNQUOTED): Define.

Tue Aug 23 00:03:06 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acgeneral.m4: Improve comments on some macros.
	Fix improperly quoted undefine calls.
	(AC_QUOTE_DQUOTE, AC_QUOTE_SQUOTE, AC_QUOTE_HERE, AC_QUOTE_SED,
	AC_QUOTE_TOKEN, AC_DEFINE_QUOTE, AC_DEFINE_SEDQUOTE,
	AC_QUOTE_IDENTITY): Macros removed.
	(AC_DEFINE, AC_DEFINE_UNQUOTED): Only write the (correct) value to
	confdefs.h.
	(AC_OUTPUT_MAKE_DEFS): New macro.
	(AC_OUTPUT): Call it.  Move AC_SUBST calls to AC_INIT_PREPARE.
	(AC_OUTPUT_FILES): Put most variable substitutions in a here document
	instead of a string, to avoid unwanted changes to the values.
	(AC_OUTPUT_HEADER): Generate the sed script to transform
	config.h.in from conftest.h.  Only split up the sed script in
	configure, not also in config.status.

	* acspecific.m4 (AC_PROG_ECHO_N): Work around some greps lacking -e.

	* acspecific.m4 (AC_PATH_X, AC_PATH_X_XMKMF, AC_PATH_X_DIRECT,
	  AC_PATH_XTRA): Fix cache use and message printing.

	* acgeneral.m4 (AC_SITE_LOAD): Check env var CONFIG_SITE first.
	(AC_OUTPUT_HEADER): New macro broken out of AC_OUTPUT.

	* acgeneral.m4, acspecific.m4 (AC_FD_MSG, AC_FD_CC): New
	  symbolic constants.

	* acgeneral.m4, acoldnames.m4 (AC_INIT_PARSE_ARGS): Renamed from
	  AC_INIT_PARSEARGS.

	* autoupdate.sh: Use $SIMPLE_BACKUP_SUFFIX, if set.

	* autoheader.sh (AC_CHECK_LIB): Reflect the added arg.

	* autoconf.m4: New file.
	* Makefile.in (DISTFILES): Add it.
	* autoconf.sh, autoheader.sh, Makefile.in: Use it.

	* acspecific.m4 (AC_SYS_REMOTE_TAPE): Macro removed.

	* acfunctions, acheaders, acidentifiers, acmakevars, acprograms,
	  autoscan.pl: Use new macro names.

	* acgeneral.m4 (AC_MSG_ERROR): Enclose within {} so it acts like a
	  single statement.  From mjshield@nyx.cs.du.edu (Michael Shields).
	  (AC_CHECK_FUNCS, AC_CHECK_HEADERS): Only compute the uppercase
	  name if we're going to define that symbol.
	  (global): Remove AC_DIVERSION_VAR.
	  (AC_OUTPUT): Adjust quoting and substitutions to replace most
	  variable values directly in the sed script.  Handle srcdir,
	  top_srcdir, and INSTALL specially.
	  Add .cpp and .hpp to c-ish suffixes list.

	* configure.in: Use the new macro names.

	* ChangeLog.0: New file, broken out of ChangeLog.1.
	* Makefile.in (DISTFILES): Add it.

	* autoupdate.sh: Update the regexps to account for changes to
	  acoldnames.m4.

Mon Aug 22 23:57:18 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* testsuite/autoconf.s/specific.exp: Use new macro names.

Fri Aug 12 10:15:51 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acspecific.m4 (AC_HEADER_DIRENT, AC_DIR_HEADER): Use one cache
	  variable for each header file, not one for all of them.

	* acgeneral.m4 (AC_CACHE_SAVE): Print a message noting when cache
	  is unwritable.
	  (AC_CHECK_FUNCS, AC_CHECK_HEADERS): Take an optional arg to
	  execute on a match.

	* acspecific (AC_OS_AIX, AC_OS_MINIX, AC_OS_ISC): Don't need to be
	  called before AC_TRY_CPP, since that doesn't use CFLAGS.

	* acgeneral.m4 (AC_CHECK_PROG, AC_PATH_PROG): Print a result
	  whether or not we found the program.
	  (AC_CHECKING): Not obsolete.
	  (AC_WITH, AC_ENABLE, AC_INIT_PREPARE): Merge the --enable and
	  --with diversions.

	* acgeneral.m4 (AC_DEFUN): New macro.
	Use it globally to define macros that are used as functions,
	as opposed to macros that are used as variables.  Remove calls to
	AC_PROVIDE.

Thu Aug 11 08:25:08 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acspecific.m4 (AC_OS_XENIX): Fix assignments.  From Franc,ois
	  Pinard.
	  (AC_SYS_REMOTE_TAPE): Fix typo.

Wed Aug 10 09:30:11 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acspecific.m4 (AC_C_CHAR_UNSIGNED): Don't lie about the result
	  if gcc, just ignore it.

	* acgeneral.m4 (AC_CHECK_LIB): Add a function argument.
	* acgeneral.m4 (AC_HAVE_LIBRARY): Make it a wrapper around
	  AC_CHECK_LIB.
	* acoldnames.m4: Remove its alias.
	* acspecific.m4: Add argument to callers.

	* acspecific.m4 (AC_PROG_ECHO_N): Move from acgeneral.m4 AC_MSG_ECHO_N.
	* acgeneral.m4: Callers changed.

	* acgeneral.m4 (AC_CACHE_LOAD, AC_CACHE_SAVE, AC_SITE_LOAD,
	  AC_MSG_CHECKING): Aesthetic changes to messages, suggested by
	  Franc,ois Pinard.

	* acspecific.m4 acgeneral.m4 acoldnames.m4: Rename
	AC_TRY_CROSS to AC_C_CROSS.

	* acgeneral.m4 (AC_INIT_PARSEARGS): Don't mention --verbose in
	  help message.
	(AC_INIT_PREPARE): Use file descriptor 5 for config.log, and 6 for
	nothing.  --verbose no longer does anything.
	(AC_MSG_ECHO_N): New macro.
	(AC_MSG_CHECKING, AC_MSG_RESULT, AC_CACHE_VAL): Require it and use
	the shell variables it sets.
	(AC_MSG_RESULT, AC_VERBOSE): Print unless --silent/--quiet is given,
	not only when --verbose is given.
	(AC_DEFINE): Don't echo anything.
	(AC_CACHE_VAL): Use a custom echo instead of AC_MSG_RESULT.
	* acgeneral.m4 (AC_CHECKING, AC_VERBOSE): Put back real versions,
	  marked obsolete.
	* acoldnames.m4: Delete their aliases.
	* acgeneral.m4, acspecific.m4 (many macros): Make sure each call
	  to AC_MSG_CHECKING has exactly one matching AC_MSG_RESULT, and
	  make the result messages make sense with the checking messages.

	* acgeneral.m4 (AC_OUTPUT_SUBDIRS): Use echo, not AC_MSG_RESULT,
	  to print recursion notice.

Tue Aug  9 00:17:28 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acgeneral.m4 (AC_OUTPUT): Add comment mentioning config.log.

	* ChangeLog.1: File split out of ChangeLog.
	* Makefile.in (DISTFILES): Add it.

	* acgeneral.m4 (AC_OUTPUT, AC_OUTPUT_HEADER), autoheader.sh:
	  Support optional input-file specification in output-file names.
	* autoheader.sh: Support top and bottom comments for config.h.in
	  in acconfig.h.

	* acgeneral.m4, README: Say more about requiring GNU m4.

	* autoheader.sh: In the list of symbols to get template entries
	  for, start each symbol with a blank.

	* autoupdate.sh: Add sed substitutions for replacing macro
	  calls without parameters.

	* acgeneral.m4 (AC_CACHE_VAL): Omit the cache var name from the
	  result message.

	* acspecific.m4 (AC_DIR_HEADER): Define to be similar to
	  AC_HEADER_DIRENT, but only define the old cpp macros.
	  (AC_HEADER_DIRENT): Only define the new ones.
	* acoldnames.m4: Don't say that those two macros are synonyms.
	* acconfig.h: Add the new cpp macros.  Add <> to some comments.

	* acgeneral.m4 (AC_OUTPUT): Don't mess with $INSTALL if it starts
	  with a $, due to user intervention.

	* Makefile.in, testsuite/Makefile.in: Fix *clean targets.

	* acgeneral.m4 (AC_CACHE_SAVE, AC_CACHE_LOAD, AC_SITE_LOAD):
	Use echo instead of AC_MSG_RESULT.
	(AC_INIT_PARSEARGS): Group options by topic in help message.  Idea
	from Franc,ois Pinard.

	* TODO: New file.

Mon Aug  8 23:04:01 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acgeneral.m4 (AC_OUTPUT): Tighten up srcdir handling code slightly.
	Add one or more ../ to $INSTALL when it's a relative path and
	creating a file in a subdirectory.

Tue Aug  2 19:54:26 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* autoheader.sh: Read acoldnames.m4.  Redefine the new macro names.
	Only define HAVE_LIBFOO where AC_CHECK_LIB is called with only one
	argument.

Sat Jul 30 09:53:38 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acgeneral.m4 acspecific.m4: The Great Renaming.
	  (Well, I think it's great.  You may have your own opinion.)

	* acspecific.m4 (AC_DIR_HEADER): Define HAVE_<path>_H as well as
	  the old DIRENT, SYSDIR, etc.

	* acgeneral.m4 acspecific.m4: Add missing spaces between arguments
	  to m4 calls.  From Franc,ois Pinard.

	* autoconf.sh: Read acoldnames.m4.
	* Makefile.in (DISTFILES, PROGS, install, clean): Add
	  acoldnames.m4 and autoupdate.sh.

Tue Jul 26 08:52:17 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* testsuite/Makefile.in (check): Print a message noting that
	  runtest is part of DejaGNU.

	* autoscan.pl: Remove unneeded backslash.

Sun Jul 24 23:30:27 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* Makefile.in (clean mostlyclean distclean realclean): Recurse
	  into testsuite directory.

Wed Jul 20 09:38:29 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* Makefile.in (install): Add missing else and fi.
	* acspecific.m4 (GETGROUPS_T, RETSIGTYPE, STACK_DIRECTION): Use
	AC_DEFINE_UNQUOTED rather than AC_DEFINE.
	From Jim Meyering.

Tue Jul 19 14:49:02 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acspecific.m4 (AC_MEMORY_H): Add more quotes.

	* acgeneral.m4 (AC_TEST_RUN): Check for cross_compiling = yes, not
	  whether it's non-empty.

	* acspecific.m4 (AC_MINUS_C_MINUS_O, AC_SET_MAKE): Eval the cache var
	  assignments.
	  (AC_YYTEXT_POINTER): Fix typo.

	* testsuite/autoconf.s/specific.exp,
	testsuite/autoconf.g/sizeof_type.exp,
	testsuite/autoconf.g/init.exp: New files.
	* testsuite/lib/common.exp, testsuite/config/unix.exp: Many
	  changes to make them work.

	* acgeneral.m4 (AC_DEFINE): Use redirection for echo, not $verbose.

Sat Jul  2 22:07:18 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acspecific.m4 (AC_REMOTE_TAPE): Substitute PROGS.

Thu Jun 30 16:29:15 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acgeneral.m4 (AC_SUBST_FILE): New version from Ken Raeburn.

	* ifnames: Add --help, --version, --macrodir options.

Fri Jun 24 06:03:35 1994  Paul Eggert  (eggert@twinsun.com)

	* acspecific.m4 (AC_VFORK): Improve test for the gcc-sparc vfork bug.

Thu Jun 30 09:47:17 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* acgeneral.m4 (AC_OUTPUT_SUBDIRS): Pass correct --srcdir option
	to sub configures.  Quote args containing spaces.
	(AC_PREPARE): Set and substitute `subdirs'.  Quote args containing
	spaces.
	(AC_CANONICAL_HOST, AC_CANONICAL_TARGET, AC_CANONICAL_BUILD):
	Substitute the cpu, vendor, os variables.

	* acspecific.m4 (AC_PROG_INSTALL): Look for ginstall before other
	names.

	* acgeneral.m4 (AC_TEST_LINK): Add newlines around argument code.
	From mjshield@nyx.cs.du.edu (Michael Shields).

Wed Jun 29 16:56:28 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* autoscan.pl: Add --macrodir option.

	* acgeneral.m4 (AC_CACHE_SAVE): Capture stderr for Ultrix sh.

Tue Jun 28 18:05:00 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* Makefile.in: Make INSTALL from install.texi.

Thu Jun 23 02:03:19 1994  David J. MacKenzie  (djm@vortex.eng.umd.edu)

	* ifnames.sh: New file.
	* Makefile.in: Add it in various places.

Tue Jun 14 12:58:38 1994  David J. MacKenzie  (djm@bleen.eng.umd.edu)

	* Makefile.in (DISTFILES): Add testsuite files.

	* autoconf.sh: Print version number on stdout, not stderr.
	* acgeneral.m4: Ditto.

	* acgeneral.m4 (AC_HAVE_LIBRARY): Add OTHER-LIBRARIES arg.
	Treat empty commands args as if they weren't given.

Thu Jun  9 11:39:14 1994  David J. MacKenzie  (djm@bleen.eng.umd.edu)

	* acgeneral.m4 (AC_CHECK_TYPE): New macro.

	* acspecific.m4 (AC_PROG_CPP, AC_PROG_CXXCPP, AC_YYTEXT_POINTER,
	AC_LN_S, AC_RSH, AC_STDC_HEADERS, AC_MAJOR_HEADER, AC_DIR_HEADER,
	AC_STAT_MACROS_BROKEN, AC_SYS_SIGLIST_DECLARED, AC_GETGROUPS_T,
	AC_UID_T, AC_RETSIGTYPE, AC_MMAP, AC_VFORK, AC_WAIT3, AC_ALLOCA,
	AC_GETLOADAVG, AC_UTIME_NULL, AC_STRCOLL, AC_SETVBUF_REVERSED,
	AC_STRUCT_TM, AC_TIME_WITH_SYS_TIME, AC_TIMEZONE, AC_ST_BLOCKS,
	AC_ST_BLKSIZE, AC_ST_RDEV, AC_CROSS_CHECK, AC_CHAR_UNSIGNED,
	AC_LONG_DOUBLE, AC_WORDS_BIGENDIAN, AC_ARG_ARRAY, AC_INLINE,
	AC_CONST, AC_HAVE_POUNDBANG, AC_REMOTE_TAPE, AC_LONG_FILE_NAMES,
	AC_RESTARTABLE_SYSCALLS, AC_FIND_X, AC_FIND_X_XMKMF,
	AC_FIND_X_DIRECT): Cache results.
	(AC_SIZE_T, AC_PID_T, AC_OFF_T, AC_MODE_T): Use AC_CHECK_TYPE.
	(AC_DIR_HEADER_CHECK): Macro removed.

Wed Jun  8 18:03:45 1994  David J. MacKenzie  (djm@bleen.eng.umd.edu)

	* acspecific.m4 (AC_MINUS_C_MINUS_O): Cache results.

Thu May 26 09:43:37 1994  David J. Mackenzie  (djm@poseidon.cygnus.com)

	* acspecific.m4 (AC_PROG_CC, AC_PROG_CXX): Cache results.
	Eliminate temp file in gcc test.
	(AC_GCC_TRADITIONAL): Cache results.

Wed May 25 14:45:44 1994  David J. Mackenzie  (djm@poseidon.cygnus.com)

	* acspecific.m4 (AC_VPRINTF): Use AC_FUNC_CHECK.

	* acgeneral.m4 (AC_CONFIG_AUX_DIR): Renamed from AC_CONFIG_AUXDIR.
	(AC_SUBST_FILE): Macro deleted; didn't work, not clear it's needed.

	* acgeneral.m4 (AC_SITE_LOAD): New macro.
	(AC_PREPARE): Call it.

Wed May 25 08:18:07 1994  David J. Mackenzie  (djm@rtl.cygnus.com)

	* acgeneral.m4: m4exit if --version, to reduce needless delay.

	* acgeneral.m4 (AC_PREPARE): Redirect file descriptor 6 to
	config.log.
	(AC_LANG_C, AC_LANG_CPLUSPLUS): Send compiler messages to desc 6.
	* acspecific.m4 (AC_MINUS_C_MINUS_O): Likewise.
	* Makefile.in (distclean): Remove config.log.

	* acgeneral.m4 (AC_PREPARE): Add AC_BEFORE calls for AC_CONFIG_HEADER,
	AC_REVISION, AC_PREREQ, and AC_CONFIG_SUBDIRS.
	Add AC_PROVIDE calls to those macros and AC_ARG_ENABLE and AC_ARG_WITH.

	* acgeneral.m4 (AC_CANONICAL_SYSTEM, AC_CANONICAL_HOST,
	AC_CANONICAL_TARGET, AC_CANONICAL_BUILD): Add "ICAL" to names.
	(AC_LINK_FILES): Renamed from AC_MAKE_LINKS.
	(AC_TEST_RUN): Renamed from AC_TEST_PROGRAM, which is now an alias.
	* acspecific.m4: Change callers to use new name.

	* acgeneral.m4 (AC_PREFIX_INTERNAL): Renamed from AC_PREFIX.
	(AC_PREFIX): Obsolete wrapper for it.
	(AC_PREFIX_PROGRAM): Define a variable.
	(AC_PREPARE): Call AC_PREFIX_INTERNAL if that variable is set.

Tue May 24 18:49:35 1994  David J. Mackenzie  (djm@rtl.cygnus.com)

	* acspecific.m4 (AC_ALLOCA): Don't declare alloca if it's already
	defined.  From Bill Sommerfeld <sommerfeld@apollo.hp.com>.

	* acgeneral.m4 (AC_TEST_PROGRAM): Verbosely note when using the
	cross-compiling default.
	(AC_CACHE_WRITE): Set the cache values only if not already set.
	(AC_PARSEARGS, AC_OUTPUT): Allow giving an empty prefix or exec_prefix.

	* acgeneral.m4, acspecific.m4: Rename AC_CONFIG_AUX* to
	AC_CONFIG_AUXDIR*.

	* acgeneral.m4 (AC_OUTPUT, AC_OUTPUT_HEADER): Add an env var
	CONFIG_STATUS to allow overriding the name of config.status.

	* acspecific.m4 (AC_MINUS_C_MINUS_O): If $CC=cc, don't duplicate
	the check.  From Jim Meyering.

	* acgeneral.m4 (AC_TEST_PROGRAM): Add missing newline.
	Always include 'fi' for cross-compiling if.
	From Jim Meyering.

	* Makefile.in (prefix, exec_prefix): Use @ substitutions.

	* acgeneral.m4: Make default cache file ./config.cache,
	so PATH is not used by "." command.  From Jim Meyering.

Thu May 19 06:05:07 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* acspecific.m4 (AC_STRUCT_TM): Fixed checking message to be less
	confusing.

Wed May 18 22:11:45 1994  Roland McGrath  (roland@churchy.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_BINSH): New macro.
	(AC_INIT, AC_REVISION): Require AC_BINSH first thing.

Wed May 18 09:08:39 1994  David J. MacKenzie  (djm@burnout.eng.umd.edu)

	* acgeneral.m4: Rename some internal macros.
	Give the diversions symbolic names.
	(AC_ARG_ENABLE, AC_ARG_WITH, AC_ENABLE_INTERNAL, AC_WITH_INTERNAL):
	New macros.
	(AC_PARSEARGS): Print --with and --enable help strings.
	(AC_ENABLE, AC_WITH): Make wrappers around _INTERNAL functions.
	Mark obsolete.
	(AC_PREPARE): Execute any saved up --with or --enable code.

Tue May 17 15:18:00 1994  David J. MacKenzie  (djm@bleen.eng.umd.edu)

	* acgeneral.m4 (AC_REVISION): Move quotes around to make it work
	again.

Sat May 14 07:30:57 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acgeneral.m4, acspecific.m4: Clean up some comments.

Tue May 10 09:50:12 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acspecific.m4 (AC_PROG_INSTALL): set the _path_ cache variable,
	not the _program_ one.
	* acgeneral.m4 (AC_PREFIX): Call AC_PROGRAM_PATH instead of
	duplicating it.
	(AC_PROGRAM_CHECK, AC_PROGRAM_PATH): If the user set the variable
	in the environment, cache that value.
	(AC_PREPARE, AC_CHECKING, AC_VERBOSE): Use file descriptors 4 and
	5 for checking and results messages.  Idea from metaconfig 3.0.

Mon May  9 08:20:14 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acgeneral.m4 (AC_TEST_PROGRAM): If no default for
	cross-compiling is given, but we are cross-compiling, give an error.
	(AC_PROGRAM_EGREP, AC_TEST_LINK, AC_TEST_PROGRAM, AC_TEST_CPP):
	Don't add an extra blank line after the if-clause.
	(AC_REVISION): Merge AC_DOREV into this macro.
	Rename some macros:
	AC_SYSTEM_TYPE	->	AC_CANON_SYSTEM
	AC_HOST_TYPE	->	AC_CANON_HOST
	AC_TARGET_TYPE	->	AC_CANON_TARGET
	AC_BUILD_TYPE	->	AC_CANON_BUILD
	(AC_OUTPUT): Don't do Cygnus-style magic
	substitutions on prefix and exec_prefix, just initialize and
	substitute them normally.

Sun May  8 01:09:42 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* acspecific.m4 (AC_AIX, AC_MINIX, AC_ISC_POSIX): Don't call
	AC_BEFORE for AC_HEADER_EGREP, to avoid require loops.
	* acgeneral.m4 (AC_HEADER_EGREP): Call AC_PROGRAM_EGREP instead of
	duplicating most of it.

Fri May  6 15:26:48 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acspecific.m4 (AC_YYTEXT_POINTER): Use AC_TEST_LINK, not
	AC_TEST_PROGRAM.

Fri May  6 00:45:29 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acspecific.m4, acgeneral.m4: Add dnl after AC_PROVIDE,
	AC_REQUIRE, and AC_BEFORE calls.
	Use AC_CHECKING and AC_TEST_LINK instead of AC_COMPILE_CHECK.

	* acgeneral.m4 (AC_TEST_LINK): New macro.
	(AC_COMPILE_CHECK): Mark obsolete.  Call AC_CHECKING and
	AC_TEST_LINK.
	(AC_PROGRAM_CHECK, AC_PROGRAM_PATH, AC_HAVE_LIBRARY, AC_HEADER_CHECK,
	AC_FUNC_CHECK, AC_SIZEOF_TYPE): Print "checking" messages even if
	using cached values.  Use AC_TEST_LINK instead of AC_COMPILE_CHECK.
	* acspecific.m4 (AC_PROG_INSTALL): Ditto.

	* acgeneral.m4 (AC_PROGRAM_CHECK, AC_PROGRAM_PATH): Fix nesting in
	cache use.

	* acspecific.m4 (AC_PROG_INSTALL): Ditto.

	* acgeneral.m4 (AC_OUTPUT_CONFIG_SUBDIRS): Adjust relative cache
	file paths before passing them to sub-configures.  Omit existing
	--cache-file arguments.

Thu May  5 21:38:51 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acgeneral.m4 (AC_FUNC_CHECK, AC_HEADER_CHECK): Combine redundant
	code.  Use AC_CACHE_VAL.
	(AC_SIZEOF_TYPE): Use AC_CACHE_VAL.

Thu May  5 12:51:32 1994  David J. MacKenzie  (djm@gamera.eng.umd.edu)

	* Makefile.in (all): Don't depend on info files.
	(install): Don't install INSTALL.
	(installcheck, install-info): New targets.

Thu May  5 08:49:39 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* Makefile.in (dist): chmod the dist directory, not the current
	directory.  Don't depend on DISTFILES.

	* autoconf.sh: Go back to old way of doing NLS nuisance test.
	* autoheader.sh: Ditto.
	* acgeneral.m4: Ditto.

Thu May  5 08:36:19 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acgeneral.m4: Use "yes" and "no" or "" uniformly for boolean
	variables' values.  Don't assume default values.
	(AC_PROGRAM_CHECK, AC_PROGRAM_PATH): Always set the cache variable
	and use different ones.

	* acspecific.m4: Use "yes" and "no" or "" uniformly for boolean
	variables' values.  Don't assume default values.
	(AC_STDC_HEADERS, AC_ALLOCA): Untangle nested tests.

Thu May  5 07:51:38 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* Makefile.in (distclean): Remove config.cache.

Wed May  4 19:41:35 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_HAVE_LIBRARY): Use AC_CACHE_VAL.

	* Makefile.in (install): Depend on all again.
	(install-info): Depend on info again.

Wed May  4 15:05:11 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acspecific.m4 (AC_PROG_INSTALL): Use AC_CACHE_VAL.
	* acgeneral.m4 (AC_PROGRAM_CHECK, AC_PROGRAM_PATH): Use AC_CACHE_VAL.
	(AC_REPLACE_FUNCS): Use AC_FUNC_CHECK.
	Rearrange general tests into 4 categories:
	Checking for files - fundamental (caching)
	Checking for files - derived (caching)
	Checking for C features - fundamental (no caching)
	Checking for C features - derived (caching)

	* acgeneral.m4 (AC_CACHE_LOAD, AC_CACHE_SAVE, AC_CACHE_VAL):
	New macros.
	(AC_PREPARE): Call AC_CACHE_LOAD.
	(AC_OUTPUT): Call AC_CACHE_SAVE.
	(AC_PARSEARGS): Add --cache-file=FILE option.
	(AC_CONFIG_SUBDIRS): Pass --cache-file to subdirectory configures.

	* acgeneral.m4 (AC_OUTPUT_CONFIG_SUBDIRS): Renamed from
	AC_CONFIG_SUBDIRS.
	(AC_CONFIG_SUBDIRS): Just define AC_SUBDIR_LIST.
	(AC_OUTPUT): Call AC_OUTPUT_CONFIG_SUBDIRS if AC_SUBDIR_LIST is
	defined.
	Make config.status --recheck pass --norecursion to configure.

	* acspecific.m4 (AC_SETVBUF_REVERSED): Print "checking" message.

Wed May  4 10:40:56 1994  David J. MacKenzie  (djm@burnout.eng.umd.edu)

	* autoreconf.sh: Add options [--help] [--macrodir=dir] [--verbose]
	[--version].

	* acspecific.m4 (AC_GCC_TRADITIONAL, AC_SET_MAKE, AC_RSH,
	AC_GETLOADAVG, AC_CROSS_CHECK): Print results verbosely.
	(AC_GETLOADAVG): Namespace cleanup.

Wed May  4 09:32:04 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* autoheader.sh, autoconf.sh, acgeneral.m4: Make the NLS
	nuisance test actually do something.

Mon May  2 16:31:33 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* configure.in: Check for standards.texi.
	* Makefile.in: Put everything back into one directory.
	Don't assume standards.* exist.

Sat Apr 30 09:37:06 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* acgeneral.m4 (AC_OUTPUT): Change >> to > in sed command.

Fri Apr 29 21:56:33 1994  David J. MacKenzie  (djm@nutrimat.gnu.ai.mit.edu)

	* Makefile.in (all): Make autoreconf too.

Fri Apr 29 21:03:48 1994  David J. MacKenzie  (djm@aria.eng.umd.edu)

	* acgeneral.m4 (AC_OUTPUT): When doing substitutions on files, if
	the file starts with "#!", put the "automatically generated"
	comment on the second line instead of the first.

Fri Apr 29 12:53:53 1994  David J. MacKenzie  (djm@burnout.eng.umd.edu)

	* acgeneral.m4 (AC_CONFIG_AUX, AC_CONFIG_AUX_DEFAULT,
	AC_CONFIG_AUX_DIRS, AC_SYSTEM_TYPE, AC_HOST_TYPE, AC_TARGET_TYPE,
	AC_BUILD_TYPE, AC_SUBST_FILE, AC_MAKE_LINKS, AC_OUTPUT_MAKE_LINKS,
	AC_CONFIG_SUBDIRS): New macros.

	* acspecific.m4 (AC_PROG_INSTALL): Use install.sh from ac_aux_dir.

	* Makefile.in: Remove references to standards.*.
	Add autoreconf.

Thu Apr 28 12:01:01 1994  David J. MacKenzie  (djm@burnout.eng.umd.edu)

	* Makefile.in (dist): Add .., ../etc, and ../texinfo files.

	* acspecific.m4 (AC_LN_S): Add verbose messages.

	* Makefile.in, configure.in: Add autoscan and its data files.
	Check for perl.
